#ifndef IP_TOP_ZYNQ_ULTRA_PS_E_0_0_H_
#define IP_TOP_ZYNQ_ULTRA_PS_E_0_0_H_

// (c) Copyright 1995-2018 Xilinx, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Xilinx, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Xilinx, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Xilinx shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Xilinx had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Xilinx products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Xilinx products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.

#ifndef XTLM
#include "xtlm.h"
#endif

#ifndef SYSTEMC_H
#include "systemc.h"
#endif

class zynq_ultra_ps_e_tlm;

class top_zynq_ultra_ps_e_0_0 : public sc_module
{
public:

  top_zynq_ultra_ps_e_0_0(const sc_module_name& nm);
  virtual ~top_zynq_ultra_ps_e_0_0();

public: // module pin-to-pin RTL interface

  sc_in< bool > maxihpm0_fpd_aclk;
  sc_out< sc_bv<16> > maxigp0_awid;
  sc_out< sc_bv<40> > maxigp0_awaddr;
  sc_out< sc_bv<8> > maxigp0_awlen;
  sc_out< sc_bv<3> > maxigp0_awsize;
  sc_out< sc_bv<2> > maxigp0_awburst;
  sc_out< bool > maxigp0_awlock;
  sc_out< sc_bv<4> > maxigp0_awcache;
  sc_out< sc_bv<3> > maxigp0_awprot;
  sc_out< bool > maxigp0_awvalid;
  sc_out< sc_bv<16> > maxigp0_awuser;
  sc_in< bool > maxigp0_awready;
  sc_out< sc_bv<128> > maxigp0_wdata;
  sc_out< sc_bv<16> > maxigp0_wstrb;
  sc_out< bool > maxigp0_wlast;
  sc_out< bool > maxigp0_wvalid;
  sc_in< bool > maxigp0_wready;
  sc_in< sc_bv<16> > maxigp0_bid;
  sc_in< sc_bv<2> > maxigp0_bresp;
  sc_in< bool > maxigp0_bvalid;
  sc_out< bool > maxigp0_bready;
  sc_out< sc_bv<16> > maxigp0_arid;
  sc_out< sc_bv<40> > maxigp0_araddr;
  sc_out< sc_bv<8> > maxigp0_arlen;
  sc_out< sc_bv<3> > maxigp0_arsize;
  sc_out< sc_bv<2> > maxigp0_arburst;
  sc_out< bool > maxigp0_arlock;
  sc_out< sc_bv<4> > maxigp0_arcache;
  sc_out< sc_bv<3> > maxigp0_arprot;
  sc_out< bool > maxigp0_arvalid;
  sc_out< sc_bv<16> > maxigp0_aruser;
  sc_in< bool > maxigp0_arready;
  sc_in< sc_bv<16> > maxigp0_rid;
  sc_in< sc_bv<128> > maxigp0_rdata;
  sc_in< sc_bv<2> > maxigp0_rresp;
  sc_in< bool > maxigp0_rlast;
  sc_in< bool > maxigp0_rvalid;
  sc_out< bool > maxigp0_rready;
  sc_out< sc_bv<4> > maxigp0_awqos;
  sc_out< sc_bv<4> > maxigp0_arqos;
  sc_in< bool > maxihpm1_fpd_aclk;
  sc_out< sc_bv<16> > maxigp1_awid;
  sc_out< sc_bv<40> > maxigp1_awaddr;
  sc_out< sc_bv<8> > maxigp1_awlen;
  sc_out< sc_bv<3> > maxigp1_awsize;
  sc_out< sc_bv<2> > maxigp1_awburst;
  sc_out< bool > maxigp1_awlock;
  sc_out< sc_bv<4> > maxigp1_awcache;
  sc_out< sc_bv<3> > maxigp1_awprot;
  sc_out< bool > maxigp1_awvalid;
  sc_out< sc_bv<16> > maxigp1_awuser;
  sc_in< bool > maxigp1_awready;
  sc_out< sc_bv<128> > maxigp1_wdata;
  sc_out< sc_bv<16> > maxigp1_wstrb;
  sc_out< bool > maxigp1_wlast;
  sc_out< bool > maxigp1_wvalid;
  sc_in< bool > maxigp1_wready;
  sc_in< sc_bv<16> > maxigp1_bid;
  sc_in< sc_bv<2> > maxigp1_bresp;
  sc_in< bool > maxigp1_bvalid;
  sc_out< bool > maxigp1_bready;
  sc_out< sc_bv<16> > maxigp1_arid;
  sc_out< sc_bv<40> > maxigp1_araddr;
  sc_out< sc_bv<8> > maxigp1_arlen;
  sc_out< sc_bv<3> > maxigp1_arsize;
  sc_out< sc_bv<2> > maxigp1_arburst;
  sc_out< bool > maxigp1_arlock;
  sc_out< sc_bv<4> > maxigp1_arcache;
  sc_out< sc_bv<3> > maxigp1_arprot;
  sc_out< bool > maxigp1_arvalid;
  sc_out< sc_bv<16> > maxigp1_aruser;
  sc_in< bool > maxigp1_arready;
  sc_in< sc_bv<16> > maxigp1_rid;
  sc_in< sc_bv<128> > maxigp1_rdata;
  sc_in< sc_bv<2> > maxigp1_rresp;
  sc_in< bool > maxigp1_rlast;
  sc_in< bool > maxigp1_rvalid;
  sc_out< bool > maxigp1_rready;
  sc_out< sc_bv<4> > maxigp1_awqos;
  sc_out< sc_bv<4> > maxigp1_arqos;
  sc_in< sc_bv<1> > pl_ps_irq0;
  sc_out< bool > pl_resetn0;
  sc_out< bool > pl_clk0;

protected:

  virtual void before_end_of_elaboration();

private:

  sc_signal< bool > maxihpm0_fpd_aclk_signal;
  sc_signal< sc_bv<16> > maxigp0_awid_signal;
  sc_signal< sc_bv<40> > maxigp0_awaddr_signal;
  sc_signal< sc_bv<8> > maxigp0_awlen_signal;
  sc_signal< sc_bv<3> > maxigp0_awsize_signal;
  sc_signal< sc_bv<2> > maxigp0_awburst_signal;
  sc_signal< bool > maxigp0_awlock_signal;
  sc_signal< sc_bv<4> > maxigp0_awcache_signal;
  sc_signal< sc_bv<3> > maxigp0_awprot_signal;
  sc_signal< bool > maxigp0_awvalid_signal;
  sc_signal< sc_bv<16> > maxigp0_awuser_signal;
  sc_signal< bool > maxigp0_awready_signal;
  sc_signal< sc_bv<128> > maxigp0_wdata_signal;
  sc_signal< sc_bv<16> > maxigp0_wstrb_signal;
  sc_signal< bool > maxigp0_wlast_signal;
  sc_signal< bool > maxigp0_wvalid_signal;
  sc_signal< bool > maxigp0_wready_signal;
  sc_signal< sc_bv<16> > maxigp0_bid_signal;
  sc_signal< sc_bv<2> > maxigp0_bresp_signal;
  sc_signal< bool > maxigp0_bvalid_signal;
  sc_signal< bool > maxigp0_bready_signal;
  sc_signal< sc_bv<16> > maxigp0_arid_signal;
  sc_signal< sc_bv<40> > maxigp0_araddr_signal;
  sc_signal< sc_bv<8> > maxigp0_arlen_signal;
  sc_signal< sc_bv<3> > maxigp0_arsize_signal;
  sc_signal< sc_bv<2> > maxigp0_arburst_signal;
  sc_signal< bool > maxigp0_arlock_signal;
  sc_signal< sc_bv<4> > maxigp0_arcache_signal;
  sc_signal< sc_bv<3> > maxigp0_arprot_signal;
  sc_signal< bool > maxigp0_arvalid_signal;
  sc_signal< sc_bv<16> > maxigp0_aruser_signal;
  sc_signal< bool > maxigp0_arready_signal;
  sc_signal< sc_bv<16> > maxigp0_rid_signal;
  sc_signal< sc_bv<128> > maxigp0_rdata_signal;
  sc_signal< sc_bv<2> > maxigp0_rresp_signal;
  sc_signal< bool > maxigp0_rlast_signal;
  sc_signal< bool > maxigp0_rvalid_signal;
  sc_signal< bool > maxigp0_rready_signal;
  sc_signal< sc_bv<4> > maxigp0_awqos_signal;
  sc_signal< sc_bv<4> > maxigp0_arqos_signal;
  sc_signal< bool > maxihpm1_fpd_aclk_signal;
  sc_signal< sc_bv<16> > maxigp1_awid_signal;
  sc_signal< sc_bv<40> > maxigp1_awaddr_signal;
  sc_signal< sc_bv<8> > maxigp1_awlen_signal;
  sc_signal< sc_bv<3> > maxigp1_awsize_signal;
  sc_signal< sc_bv<2> > maxigp1_awburst_signal;
  sc_signal< bool > maxigp1_awlock_signal;
  sc_signal< sc_bv<4> > maxigp1_awcache_signal;
  sc_signal< sc_bv<3> > maxigp1_awprot_signal;
  sc_signal< bool > maxigp1_awvalid_signal;
  sc_signal< sc_bv<16> > maxigp1_awuser_signal;
  sc_signal< bool > maxigp1_awready_signal;
  sc_signal< sc_bv<128> > maxigp1_wdata_signal;
  sc_signal< sc_bv<16> > maxigp1_wstrb_signal;
  sc_signal< bool > maxigp1_wlast_signal;
  sc_signal< bool > maxigp1_wvalid_signal;
  sc_signal< bool > maxigp1_wready_signal;
  sc_signal< sc_bv<16> > maxigp1_bid_signal;
  sc_signal< sc_bv<2> > maxigp1_bresp_signal;
  sc_signal< bool > maxigp1_bvalid_signal;
  sc_signal< bool > maxigp1_bready_signal;
  sc_signal< sc_bv<16> > maxigp1_arid_signal;
  sc_signal< sc_bv<40> > maxigp1_araddr_signal;
  sc_signal< sc_bv<8> > maxigp1_arlen_signal;
  sc_signal< sc_bv<3> > maxigp1_arsize_signal;
  sc_signal< sc_bv<2> > maxigp1_arburst_signal;
  sc_signal< bool > maxigp1_arlock_signal;
  sc_signal< sc_bv<4> > maxigp1_arcache_signal;
  sc_signal< sc_bv<3> > maxigp1_arprot_signal;
  sc_signal< bool > maxigp1_arvalid_signal;
  sc_signal< sc_bv<16> > maxigp1_aruser_signal;
  sc_signal< bool > maxigp1_arready_signal;
  sc_signal< sc_bv<16> > maxigp1_rid_signal;
  sc_signal< sc_bv<128> > maxigp1_rdata_signal;
  sc_signal< sc_bv<2> > maxigp1_rresp_signal;
  sc_signal< bool > maxigp1_rlast_signal;
  sc_signal< bool > maxigp1_rvalid_signal;
  sc_signal< bool > maxigp1_rready_signal;
  sc_signal< sc_bv<4> > maxigp1_awqos_signal;
  sc_signal< sc_bv<4> > maxigp1_arqos_signal;
  sc_signal< bool > maxihpm0_lpd_aclk_signal;
  sc_signal< sc_bv<16> > maxigp2_awid_signal;
  sc_signal< sc_bv<40> > maxigp2_awaddr_signal;
  sc_signal< sc_bv<8> > maxigp2_awlen_signal;
  sc_signal< sc_bv<3> > maxigp2_awsize_signal;
  sc_signal< sc_bv<2> > maxigp2_awburst_signal;
  sc_signal< bool > maxigp2_awlock_signal;
  sc_signal< sc_bv<4> > maxigp2_awcache_signal;
  sc_signal< sc_bv<3> > maxigp2_awprot_signal;
  sc_signal< bool > maxigp2_awvalid_signal;
  sc_signal< sc_bv<16> > maxigp2_awuser_signal;
  sc_signal< bool > maxigp2_awready_signal;
  sc_signal< sc_bv<32> > maxigp2_wdata_signal;
  sc_signal< sc_bv<4> > maxigp2_wstrb_signal;
  sc_signal< bool > maxigp2_wlast_signal;
  sc_signal< bool > maxigp2_wvalid_signal;
  sc_signal< bool > maxigp2_wready_signal;
  sc_signal< sc_bv<16> > maxigp2_bid_signal;
  sc_signal< sc_bv<2> > maxigp2_bresp_signal;
  sc_signal< bool > maxigp2_bvalid_signal;
  sc_signal< bool > maxigp2_bready_signal;
  sc_signal< sc_bv<16> > maxigp2_arid_signal;
  sc_signal< sc_bv<40> > maxigp2_araddr_signal;
  sc_signal< sc_bv<8> > maxigp2_arlen_signal;
  sc_signal< sc_bv<3> > maxigp2_arsize_signal;
  sc_signal< sc_bv<2> > maxigp2_arburst_signal;
  sc_signal< bool > maxigp2_arlock_signal;
  sc_signal< sc_bv<4> > maxigp2_arcache_signal;
  sc_signal< sc_bv<3> > maxigp2_arprot_signal;
  sc_signal< bool > maxigp2_arvalid_signal;
  sc_signal< sc_bv<16> > maxigp2_aruser_signal;
  sc_signal< bool > maxigp2_arready_signal;
  sc_signal< sc_bv<16> > maxigp2_rid_signal;
  sc_signal< sc_bv<32> > maxigp2_rdata_signal;
  sc_signal< sc_bv<2> > maxigp2_rresp_signal;
  sc_signal< bool > maxigp2_rlast_signal;
  sc_signal< bool > maxigp2_rvalid_signal;
  sc_signal< bool > maxigp2_rready_signal;
  sc_signal< sc_bv<4> > maxigp2_awqos_signal;
  sc_signal< sc_bv<4> > maxigp2_arqos_signal;
  sc_signal< bool > saxihpc0_fpd_rclk_signal;
  sc_signal< bool > saxihpc0_fpd_wclk_signal;
  sc_signal< bool > saxihpc0_fpd_aclk_signal;
  sc_signal< bool > saxigp0_aruser_signal;
  sc_signal< bool > saxigp0_awuser_signal;
  sc_signal< sc_bv<6> > saxigp0_awid_signal;
  sc_signal< sc_bv<49> > saxigp0_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp0_awlen_signal;
  sc_signal< sc_bv<3> > saxigp0_awsize_signal;
  sc_signal< sc_bv<2> > saxigp0_awburst_signal;
  sc_signal< bool > saxigp0_awlock_signal;
  sc_signal< sc_bv<4> > saxigp0_awcache_signal;
  sc_signal< sc_bv<3> > saxigp0_awprot_signal;
  sc_signal< bool > saxigp0_awvalid_signal;
  sc_signal< bool > saxigp0_awready_signal;
  sc_signal< sc_bv<128> > saxigp0_wdata_signal;
  sc_signal< sc_bv<16> > saxigp0_wstrb_signal;
  sc_signal< bool > saxigp0_wlast_signal;
  sc_signal< bool > saxigp0_wvalid_signal;
  sc_signal< bool > saxigp0_wready_signal;
  sc_signal< sc_bv<6> > saxigp0_bid_signal;
  sc_signal< sc_bv<2> > saxigp0_bresp_signal;
  sc_signal< bool > ddrc_ext_refresh_rank0_req_signal;
  sc_signal< bool > ddrc_ext_refresh_rank1_req_signal;
  sc_signal< bool > ddrc_refresh_pl_clk_signal;
  sc_signal< bool > saxigp0_bvalid_signal;
  sc_signal< bool > saxigp0_bready_signal;
  sc_signal< sc_bv<6> > saxigp0_arid_signal;
  sc_signal< sc_bv<49> > saxigp0_araddr_signal;
  sc_signal< sc_bv<8> > saxigp0_arlen_signal;
  sc_signal< sc_bv<3> > saxigp0_arsize_signal;
  sc_signal< sc_bv<2> > saxigp0_arburst_signal;
  sc_signal< bool > saxigp0_arlock_signal;
  sc_signal< sc_bv<4> > saxigp0_arcache_signal;
  sc_signal< sc_bv<3> > saxigp0_arprot_signal;
  sc_signal< bool > saxigp0_arvalid_signal;
  sc_signal< bool > saxigp0_arready_signal;
  sc_signal< sc_bv<6> > saxigp0_rid_signal;
  sc_signal< sc_bv<128> > saxigp0_rdata_signal;
  sc_signal< sc_bv<2> > saxigp0_rresp_signal;
  sc_signal< bool > saxigp0_rlast_signal;
  sc_signal< bool > saxigp0_rvalid_signal;
  sc_signal< bool > saxigp0_rready_signal;
  sc_signal< sc_bv<4> > saxigp0_awqos_signal;
  sc_signal< sc_bv<4> > saxigp0_arqos_signal;
  sc_signal< sc_bv<8> > saxigp0_rcount_signal;
  sc_signal< sc_bv<8> > saxigp0_wcount_signal;
  sc_signal< sc_bv<4> > saxigp0_racount_signal;
  sc_signal< sc_bv<4> > saxigp0_wacount_signal;
  sc_signal< bool > saxihpc1_fpd_rclk_signal;
  sc_signal< bool > saxihpc1_fpd_wclk_signal;
  sc_signal< bool > saxihpc1_fpd_aclk_signal;
  sc_signal< bool > saxigp1_aruser_signal;
  sc_signal< bool > saxigp1_awuser_signal;
  sc_signal< sc_bv<6> > saxigp1_awid_signal;
  sc_signal< sc_bv<49> > saxigp1_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp1_awlen_signal;
  sc_signal< sc_bv<3> > saxigp1_awsize_signal;
  sc_signal< sc_bv<2> > saxigp1_awburst_signal;
  sc_signal< bool > saxigp1_awlock_signal;
  sc_signal< sc_bv<4> > saxigp1_awcache_signal;
  sc_signal< sc_bv<3> > saxigp1_awprot_signal;
  sc_signal< bool > saxigp1_awvalid_signal;
  sc_signal< bool > saxigp1_awready_signal;
  sc_signal< sc_bv<128> > saxigp1_wdata_signal;
  sc_signal< sc_bv<16> > saxigp1_wstrb_signal;
  sc_signal< bool > saxigp1_wlast_signal;
  sc_signal< bool > saxigp1_wvalid_signal;
  sc_signal< bool > saxigp1_wready_signal;
  sc_signal< sc_bv<6> > saxigp1_bid_signal;
  sc_signal< sc_bv<2> > saxigp1_bresp_signal;
  sc_signal< bool > saxigp1_bvalid_signal;
  sc_signal< bool > saxigp1_bready_signal;
  sc_signal< sc_bv<6> > saxigp1_arid_signal;
  sc_signal< sc_bv<49> > saxigp1_araddr_signal;
  sc_signal< sc_bv<8> > saxigp1_arlen_signal;
  sc_signal< sc_bv<3> > saxigp1_arsize_signal;
  sc_signal< sc_bv<2> > saxigp1_arburst_signal;
  sc_signal< bool > saxigp1_arlock_signal;
  sc_signal< sc_bv<4> > saxigp1_arcache_signal;
  sc_signal< sc_bv<3> > saxigp1_arprot_signal;
  sc_signal< bool > saxigp1_arvalid_signal;
  sc_signal< bool > saxigp1_arready_signal;
  sc_signal< sc_bv<6> > saxigp1_rid_signal;
  sc_signal< sc_bv<128> > saxigp1_rdata_signal;
  sc_signal< sc_bv<2> > saxigp1_rresp_signal;
  sc_signal< bool > saxigp1_rlast_signal;
  sc_signal< bool > saxigp1_rvalid_signal;
  sc_signal< bool > saxigp1_rready_signal;
  sc_signal< sc_bv<4> > saxigp1_awqos_signal;
  sc_signal< sc_bv<4> > saxigp1_arqos_signal;
  sc_signal< sc_bv<8> > saxigp1_rcount_signal;
  sc_signal< sc_bv<8> > saxigp1_wcount_signal;
  sc_signal< sc_bv<4> > saxigp1_racount_signal;
  sc_signal< sc_bv<4> > saxigp1_wacount_signal;
  sc_signal< bool > saxihp0_fpd_rclk_signal;
  sc_signal< bool > saxihp0_fpd_wclk_signal;
  sc_signal< bool > saxihp0_fpd_aclk_signal;
  sc_signal< bool > saxigp2_aruser_signal;
  sc_signal< bool > saxigp2_awuser_signal;
  sc_signal< sc_bv<6> > saxigp2_awid_signal;
  sc_signal< sc_bv<49> > saxigp2_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp2_awlen_signal;
  sc_signal< sc_bv<3> > saxigp2_awsize_signal;
  sc_signal< sc_bv<2> > saxigp2_awburst_signal;
  sc_signal< bool > saxigp2_awlock_signal;
  sc_signal< sc_bv<4> > saxigp2_awcache_signal;
  sc_signal< sc_bv<3> > saxigp2_awprot_signal;
  sc_signal< bool > saxigp2_awvalid_signal;
  sc_signal< bool > saxigp2_awready_signal;
  sc_signal< sc_bv<128> > saxigp2_wdata_signal;
  sc_signal< sc_bv<16> > saxigp2_wstrb_signal;
  sc_signal< bool > saxigp2_wlast_signal;
  sc_signal< bool > saxigp2_wvalid_signal;
  sc_signal< bool > saxigp2_wready_signal;
  sc_signal< sc_bv<6> > saxigp2_bid_signal;
  sc_signal< sc_bv<2> > saxigp2_bresp_signal;
  sc_signal< bool > saxigp2_bvalid_signal;
  sc_signal< bool > saxigp2_bready_signal;
  sc_signal< sc_bv<6> > saxigp2_arid_signal;
  sc_signal< sc_bv<49> > saxigp2_araddr_signal;
  sc_signal< sc_bv<8> > saxigp2_arlen_signal;
  sc_signal< sc_bv<3> > saxigp2_arsize_signal;
  sc_signal< sc_bv<2> > saxigp2_arburst_signal;
  sc_signal< bool > saxigp2_arlock_signal;
  sc_signal< sc_bv<4> > saxigp2_arcache_signal;
  sc_signal< sc_bv<3> > saxigp2_arprot_signal;
  sc_signal< bool > saxigp2_arvalid_signal;
  sc_signal< bool > saxigp2_arready_signal;
  sc_signal< sc_bv<6> > saxigp2_rid_signal;
  sc_signal< sc_bv<128> > saxigp2_rdata_signal;
  sc_signal< sc_bv<2> > saxigp2_rresp_signal;
  sc_signal< bool > saxigp2_rlast_signal;
  sc_signal< bool > saxigp2_rvalid_signal;
  sc_signal< bool > saxigp2_rready_signal;
  sc_signal< sc_bv<4> > saxigp2_awqos_signal;
  sc_signal< sc_bv<4> > saxigp2_arqos_signal;
  sc_signal< sc_bv<8> > saxigp2_rcount_signal;
  sc_signal< sc_bv<8> > saxigp2_wcount_signal;
  sc_signal< sc_bv<4> > saxigp2_racount_signal;
  sc_signal< sc_bv<4> > saxigp2_wacount_signal;
  sc_signal< bool > saxihp1_fpd_rclk_signal;
  sc_signal< bool > saxihp1_fpd_wclk_signal;
  sc_signal< bool > saxihp1_fpd_aclk_signal;
  sc_signal< bool > saxigp3_aruser_signal;
  sc_signal< bool > saxigp3_awuser_signal;
  sc_signal< sc_bv<6> > saxigp3_awid_signal;
  sc_signal< sc_bv<49> > saxigp3_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp3_awlen_signal;
  sc_signal< sc_bv<3> > saxigp3_awsize_signal;
  sc_signal< sc_bv<2> > saxigp3_awburst_signal;
  sc_signal< bool > saxigp3_awlock_signal;
  sc_signal< sc_bv<4> > saxigp3_awcache_signal;
  sc_signal< sc_bv<3> > saxigp3_awprot_signal;
  sc_signal< bool > saxigp3_awvalid_signal;
  sc_signal< bool > saxigp3_awready_signal;
  sc_signal< sc_bv<128> > saxigp3_wdata_signal;
  sc_signal< sc_bv<16> > saxigp3_wstrb_signal;
  sc_signal< bool > saxigp3_wlast_signal;
  sc_signal< bool > saxigp3_wvalid_signal;
  sc_signal< bool > saxigp3_wready_signal;
  sc_signal< sc_bv<6> > saxigp3_bid_signal;
  sc_signal< sc_bv<2> > saxigp3_bresp_signal;
  sc_signal< bool > saxigp3_bvalid_signal;
  sc_signal< bool > saxigp3_bready_signal;
  sc_signal< sc_bv<6> > saxigp3_arid_signal;
  sc_signal< sc_bv<49> > saxigp3_araddr_signal;
  sc_signal< sc_bv<8> > saxigp3_arlen_signal;
  sc_signal< sc_bv<3> > saxigp3_arsize_signal;
  sc_signal< sc_bv<2> > saxigp3_arburst_signal;
  sc_signal< bool > saxigp3_arlock_signal;
  sc_signal< sc_bv<4> > saxigp3_arcache_signal;
  sc_signal< sc_bv<3> > saxigp3_arprot_signal;
  sc_signal< bool > saxigp3_arvalid_signal;
  sc_signal< bool > saxigp3_arready_signal;
  sc_signal< sc_bv<6> > saxigp3_rid_signal;
  sc_signal< sc_bv<128> > saxigp3_rdata_signal;
  sc_signal< sc_bv<2> > saxigp3_rresp_signal;
  sc_signal< bool > saxigp3_rlast_signal;
  sc_signal< bool > saxigp3_rvalid_signal;
  sc_signal< bool > saxigp3_rready_signal;
  sc_signal< sc_bv<4> > saxigp3_awqos_signal;
  sc_signal< sc_bv<4> > saxigp3_arqos_signal;
  sc_signal< sc_bv<8> > saxigp3_rcount_signal;
  sc_signal< sc_bv<8> > saxigp3_wcount_signal;
  sc_signal< sc_bv<4> > saxigp3_racount_signal;
  sc_signal< sc_bv<4> > saxigp3_wacount_signal;
  sc_signal< bool > saxihp2_fpd_rclk_signal;
  sc_signal< bool > saxihp2_fpd_wclk_signal;
  sc_signal< bool > saxihp2_fpd_aclk_signal;
  sc_signal< bool > saxigp4_aruser_signal;
  sc_signal< bool > saxigp4_awuser_signal;
  sc_signal< sc_bv<6> > saxigp4_awid_signal;
  sc_signal< sc_bv<49> > saxigp4_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp4_awlen_signal;
  sc_signal< sc_bv<3> > saxigp4_awsize_signal;
  sc_signal< sc_bv<2> > saxigp4_awburst_signal;
  sc_signal< bool > saxigp4_awlock_signal;
  sc_signal< sc_bv<4> > saxigp4_awcache_signal;
  sc_signal< sc_bv<3> > saxigp4_awprot_signal;
  sc_signal< bool > saxigp4_awvalid_signal;
  sc_signal< bool > saxigp4_awready_signal;
  sc_signal< sc_bv<128> > saxigp4_wdata_signal;
  sc_signal< sc_bv<16> > saxigp4_wstrb_signal;
  sc_signal< bool > saxigp4_wlast_signal;
  sc_signal< bool > saxigp4_wvalid_signal;
  sc_signal< bool > saxigp4_wready_signal;
  sc_signal< sc_bv<6> > saxigp4_bid_signal;
  sc_signal< sc_bv<2> > saxigp4_bresp_signal;
  sc_signal< bool > saxigp4_bvalid_signal;
  sc_signal< bool > saxigp4_bready_signal;
  sc_signal< sc_bv<6> > saxigp4_arid_signal;
  sc_signal< sc_bv<49> > saxigp4_araddr_signal;
  sc_signal< sc_bv<8> > saxigp4_arlen_signal;
  sc_signal< sc_bv<3> > saxigp4_arsize_signal;
  sc_signal< sc_bv<2> > saxigp4_arburst_signal;
  sc_signal< bool > saxigp4_arlock_signal;
  sc_signal< sc_bv<4> > saxigp4_arcache_signal;
  sc_signal< sc_bv<3> > saxigp4_arprot_signal;
  sc_signal< bool > saxigp4_arvalid_signal;
  sc_signal< bool > saxigp4_arready_signal;
  sc_signal< sc_bv<6> > saxigp4_rid_signal;
  sc_signal< sc_bv<128> > saxigp4_rdata_signal;
  sc_signal< sc_bv<2> > saxigp4_rresp_signal;
  sc_signal< bool > saxigp4_rlast_signal;
  sc_signal< bool > saxigp4_rvalid_signal;
  sc_signal< bool > saxigp4_rready_signal;
  sc_signal< sc_bv<4> > saxigp4_awqos_signal;
  sc_signal< sc_bv<4> > saxigp4_arqos_signal;
  sc_signal< sc_bv<8> > saxigp4_rcount_signal;
  sc_signal< sc_bv<8> > saxigp4_wcount_signal;
  sc_signal< sc_bv<4> > saxigp4_racount_signal;
  sc_signal< sc_bv<4> > saxigp4_wacount_signal;
  sc_signal< bool > saxihp3_fpd_rclk_signal;
  sc_signal< bool > saxihp3_fpd_wclk_signal;
  sc_signal< bool > saxihp3_fpd_aclk_signal;
  sc_signal< bool > saxigp5_aruser_signal;
  sc_signal< bool > saxigp5_awuser_signal;
  sc_signal< sc_bv<6> > saxigp5_awid_signal;
  sc_signal< sc_bv<49> > saxigp5_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp5_awlen_signal;
  sc_signal< sc_bv<3> > saxigp5_awsize_signal;
  sc_signal< sc_bv<2> > saxigp5_awburst_signal;
  sc_signal< bool > saxigp5_awlock_signal;
  sc_signal< sc_bv<4> > saxigp5_awcache_signal;
  sc_signal< sc_bv<3> > saxigp5_awprot_signal;
  sc_signal< bool > saxigp5_awvalid_signal;
  sc_signal< bool > saxigp5_awready_signal;
  sc_signal< sc_bv<128> > saxigp5_wdata_signal;
  sc_signal< sc_bv<16> > saxigp5_wstrb_signal;
  sc_signal< bool > saxigp5_wlast_signal;
  sc_signal< bool > saxigp5_wvalid_signal;
  sc_signal< bool > saxigp5_wready_signal;
  sc_signal< sc_bv<6> > saxigp5_bid_signal;
  sc_signal< sc_bv<2> > saxigp5_bresp_signal;
  sc_signal< bool > saxigp5_bvalid_signal;
  sc_signal< bool > saxigp5_bready_signal;
  sc_signal< sc_bv<6> > saxigp5_arid_signal;
  sc_signal< sc_bv<49> > saxigp5_araddr_signal;
  sc_signal< sc_bv<8> > saxigp5_arlen_signal;
  sc_signal< sc_bv<3> > saxigp5_arsize_signal;
  sc_signal< sc_bv<2> > saxigp5_arburst_signal;
  sc_signal< bool > saxigp5_arlock_signal;
  sc_signal< sc_bv<4> > saxigp5_arcache_signal;
  sc_signal< sc_bv<3> > saxigp5_arprot_signal;
  sc_signal< bool > saxigp5_arvalid_signal;
  sc_signal< bool > saxigp5_arready_signal;
  sc_signal< sc_bv<6> > saxigp5_rid_signal;
  sc_signal< sc_bv<128> > saxigp5_rdata_signal;
  sc_signal< sc_bv<2> > saxigp5_rresp_signal;
  sc_signal< bool > saxigp5_rlast_signal;
  sc_signal< bool > saxigp5_rvalid_signal;
  sc_signal< bool > saxigp5_rready_signal;
  sc_signal< sc_bv<4> > saxigp5_awqos_signal;
  sc_signal< sc_bv<4> > saxigp5_arqos_signal;
  sc_signal< sc_bv<8> > saxigp5_rcount_signal;
  sc_signal< sc_bv<8> > saxigp5_wcount_signal;
  sc_signal< sc_bv<4> > saxigp5_racount_signal;
  sc_signal< sc_bv<4> > saxigp5_wacount_signal;
  sc_signal< bool > saxi_lpd_rclk_signal;
  sc_signal< bool > saxi_lpd_wclk_signal;
  sc_signal< bool > saxi_lpd_aclk_signal;
  sc_signal< bool > saxigp6_aruser_signal;
  sc_signal< bool > saxigp6_awuser_signal;
  sc_signal< sc_bv<6> > saxigp6_awid_signal;
  sc_signal< sc_bv<49> > saxigp6_awaddr_signal;
  sc_signal< sc_bv<8> > saxigp6_awlen_signal;
  sc_signal< sc_bv<3> > saxigp6_awsize_signal;
  sc_signal< sc_bv<2> > saxigp6_awburst_signal;
  sc_signal< bool > saxigp6_awlock_signal;
  sc_signal< sc_bv<4> > saxigp6_awcache_signal;
  sc_signal< sc_bv<3> > saxigp6_awprot_signal;
  sc_signal< bool > saxigp6_awvalid_signal;
  sc_signal< bool > saxigp6_awready_signal;
  sc_signal< sc_bv<128> > saxigp6_wdata_signal;
  sc_signal< sc_bv<16> > saxigp6_wstrb_signal;
  sc_signal< bool > saxigp6_wlast_signal;
  sc_signal< bool > saxigp6_wvalid_signal;
  sc_signal< bool > saxigp6_wready_signal;
  sc_signal< sc_bv<6> > saxigp6_bid_signal;
  sc_signal< sc_bv<2> > saxigp6_bresp_signal;
  sc_signal< bool > saxigp6_bvalid_signal;
  sc_signal< bool > saxigp6_bready_signal;
  sc_signal< sc_bv<6> > saxigp6_arid_signal;
  sc_signal< sc_bv<49> > saxigp6_araddr_signal;
  sc_signal< sc_bv<8> > saxigp6_arlen_signal;
  sc_signal< sc_bv<3> > saxigp6_arsize_signal;
  sc_signal< sc_bv<2> > saxigp6_arburst_signal;
  sc_signal< bool > saxigp6_arlock_signal;
  sc_signal< sc_bv<4> > saxigp6_arcache_signal;
  sc_signal< sc_bv<3> > saxigp6_arprot_signal;
  sc_signal< bool > saxigp6_arvalid_signal;
  sc_signal< bool > saxigp6_arready_signal;
  sc_signal< sc_bv<6> > saxigp6_rid_signal;
  sc_signal< sc_bv<128> > saxigp6_rdata_signal;
  sc_signal< sc_bv<2> > saxigp6_rresp_signal;
  sc_signal< bool > saxigp6_rlast_signal;
  sc_signal< bool > saxigp6_rvalid_signal;
  sc_signal< bool > saxigp6_rready_signal;
  sc_signal< sc_bv<4> > saxigp6_awqos_signal;
  sc_signal< sc_bv<4> > saxigp6_arqos_signal;
  sc_signal< sc_bv<8> > saxigp6_rcount_signal;
  sc_signal< sc_bv<8> > saxigp6_wcount_signal;
  sc_signal< sc_bv<4> > saxigp6_racount_signal;
  sc_signal< sc_bv<4> > saxigp6_wacount_signal;
  sc_signal< bool > saxiacp_fpd_aclk_signal;
  sc_signal< sc_bv<2> > saxiacp_awuser_signal;
  sc_signal< sc_bv<2> > saxiacp_aruser_signal;
  sc_signal< sc_bv<5> > saxiacp_awid_signal;
  sc_signal< sc_bv<40> > saxiacp_awaddr_signal;
  sc_signal< sc_bv<8> > saxiacp_awlen_signal;
  sc_signal< sc_bv<3> > saxiacp_awsize_signal;
  sc_signal< sc_bv<2> > saxiacp_awburst_signal;
  sc_signal< bool > saxiacp_awlock_signal;
  sc_signal< sc_bv<4> > saxiacp_awcache_signal;
  sc_signal< sc_bv<3> > saxiacp_awprot_signal;
  sc_signal< bool > saxiacp_awvalid_signal;
  sc_signal< bool > saxiacp_awready_signal;
  sc_signal< sc_bv<128> > saxiacp_wdata_signal;
  sc_signal< sc_bv<16> > saxiacp_wstrb_signal;
  sc_signal< bool > saxiacp_wlast_signal;
  sc_signal< bool > saxiacp_wvalid_signal;
  sc_signal< bool > saxiacp_wready_signal;
  sc_signal< sc_bv<5> > saxiacp_bid_signal;
  sc_signal< sc_bv<2> > saxiacp_bresp_signal;
  sc_signal< bool > saxiacp_bvalid_signal;
  sc_signal< bool > saxiacp_bready_signal;
  sc_signal< sc_bv<5> > saxiacp_arid_signal;
  sc_signal< sc_bv<40> > saxiacp_araddr_signal;
  sc_signal< sc_bv<8> > saxiacp_arlen_signal;
  sc_signal< sc_bv<3> > saxiacp_arsize_signal;
  sc_signal< sc_bv<2> > saxiacp_arburst_signal;
  sc_signal< bool > saxiacp_arlock_signal;
  sc_signal< sc_bv<4> > saxiacp_arcache_signal;
  sc_signal< sc_bv<3> > saxiacp_arprot_signal;
  sc_signal< bool > saxiacp_arvalid_signal;
  sc_signal< bool > saxiacp_arready_signal;
  sc_signal< sc_bv<5> > saxiacp_rid_signal;
  sc_signal< sc_bv<128> > saxiacp_rdata_signal;
  sc_signal< sc_bv<2> > saxiacp_rresp_signal;
  sc_signal< bool > saxiacp_rlast_signal;
  sc_signal< bool > saxiacp_rvalid_signal;
  sc_signal< bool > saxiacp_rready_signal;
  sc_signal< sc_bv<4> > saxiacp_awqos_signal;
  sc_signal< sc_bv<4> > saxiacp_arqos_signal;
  sc_signal< bool > sacefpd_aclk_signal;
  sc_signal< bool > sacefpd_wuser_signal;
  sc_signal< bool > sacefpd_buser_signal;
  sc_signal< bool > sacefpd_ruser_signal;
  sc_signal< sc_bv<16> > sacefpd_awuser_signal;
  sc_signal< sc_bv<3> > sacefpd_awsnoop_signal;
  sc_signal< sc_bv<3> > sacefpd_awsize_signal;
  sc_signal< sc_bv<4> > sacefpd_awregion_signal;
  sc_signal< sc_bv<4> > sacefpd_awqos_signal;
  sc_signal< sc_bv<3> > sacefpd_awprot_signal;
  sc_signal< sc_bv<8> > sacefpd_awlen_signal;
  sc_signal< sc_bv<6> > sacefpd_awid_signal;
  sc_signal< sc_bv<2> > sacefpd_awdomain_signal;
  sc_signal< sc_bv<4> > sacefpd_awcache_signal;
  sc_signal< sc_bv<2> > sacefpd_awburst_signal;
  sc_signal< sc_bv<2> > sacefpd_awbar_signal;
  sc_signal< sc_bv<44> > sacefpd_awaddr_signal;
  sc_signal< bool > sacefpd_awlock_signal;
  sc_signal< bool > sacefpd_awvalid_signal;
  sc_signal< bool > sacefpd_awready_signal;
  sc_signal< sc_bv<16> > sacefpd_wstrb_signal;
  sc_signal< sc_bv<128> > sacefpd_wdata_signal;
  sc_signal< bool > sacefpd_wlast_signal;
  sc_signal< bool > sacefpd_wvalid_signal;
  sc_signal< bool > sacefpd_wready_signal;
  sc_signal< sc_bv<2> > sacefpd_bresp_signal;
  sc_signal< sc_bv<6> > sacefpd_bid_signal;
  sc_signal< bool > sacefpd_bvalid_signal;
  sc_signal< bool > sacefpd_bready_signal;
  sc_signal< sc_bv<16> > sacefpd_aruser_signal;
  sc_signal< sc_bv<4> > sacefpd_arsnoop_signal;
  sc_signal< sc_bv<3> > sacefpd_arsize_signal;
  sc_signal< sc_bv<4> > sacefpd_arregion_signal;
  sc_signal< sc_bv<4> > sacefpd_arqos_signal;
  sc_signal< sc_bv<3> > sacefpd_arprot_signal;
  sc_signal< sc_bv<8> > sacefpd_arlen_signal;
  sc_signal< sc_bv<6> > sacefpd_arid_signal;
  sc_signal< sc_bv<2> > sacefpd_ardomain_signal;
  sc_signal< sc_bv<4> > sacefpd_arcache_signal;
  sc_signal< sc_bv<2> > sacefpd_arburst_signal;
  sc_signal< sc_bv<2> > sacefpd_arbar_signal;
  sc_signal< sc_bv<44> > sacefpd_araddr_signal;
  sc_signal< bool > sacefpd_arlock_signal;
  sc_signal< bool > sacefpd_arvalid_signal;
  sc_signal< bool > sacefpd_arready_signal;
  sc_signal< sc_bv<4> > sacefpd_rresp_signal;
  sc_signal< sc_bv<6> > sacefpd_rid_signal;
  sc_signal< sc_bv<128> > sacefpd_rdata_signal;
  sc_signal< bool > sacefpd_rlast_signal;
  sc_signal< bool > sacefpd_rvalid_signal;
  sc_signal< bool > sacefpd_rready_signal;
  sc_signal< sc_bv<4> > sacefpd_acsnoop_signal;
  sc_signal< sc_bv<3> > sacefpd_acprot_signal;
  sc_signal< sc_bv<44> > sacefpd_acaddr_signal;
  sc_signal< bool > sacefpd_acvalid_signal;
  sc_signal< bool > sacefpd_acready_signal;
  sc_signal< sc_bv<128> > sacefpd_cddata_signal;
  sc_signal< bool > sacefpd_cdlast_signal;
  sc_signal< bool > sacefpd_cdvalid_signal;
  sc_signal< bool > sacefpd_cdready_signal;
  sc_signal< sc_bv<5> > sacefpd_crresp_signal;
  sc_signal< bool > sacefpd_crvalid_signal;
  sc_signal< bool > sacefpd_crready_signal;
  sc_signal< bool > sacefpd_wack_signal;
  sc_signal< bool > sacefpd_rack_signal;
  sc_signal< bool > emio_can0_phy_tx_signal;
  sc_signal< bool > emio_can0_phy_rx_signal;
  sc_signal< bool > emio_can1_phy_tx_signal;
  sc_signal< bool > emio_can1_phy_rx_signal;
  sc_signal< bool > emio_enet0_gmii_rx_clk_signal;
  sc_signal< sc_bv<3> > emio_enet0_speed_mode_signal;
  sc_signal< bool > emio_enet0_gmii_crs_signal;
  sc_signal< bool > emio_enet0_gmii_col_signal;
  sc_signal< sc_bv<8> > emio_enet0_gmii_rxd_signal;
  sc_signal< bool > emio_enet0_gmii_rx_er_signal;
  sc_signal< bool > emio_enet0_gmii_rx_dv_signal;
  sc_signal< bool > emio_enet0_gmii_tx_clk_signal;
  sc_signal< sc_bv<8> > emio_enet0_gmii_txd_signal;
  sc_signal< bool > emio_enet0_gmii_tx_en_signal;
  sc_signal< bool > emio_enet0_gmii_tx_er_signal;
  sc_signal< bool > emio_enet0_mdio_mdc_signal;
  sc_signal< bool > emio_enet0_mdio_i_signal;
  sc_signal< bool > emio_enet0_mdio_o_signal;
  sc_signal< bool > emio_enet0_mdio_t_signal;
  sc_signal< bool > emio_enet1_gmii_rx_clk_signal;
  sc_signal< sc_bv<3> > emio_enet1_speed_mode_signal;
  sc_signal< bool > emio_enet1_gmii_crs_signal;
  sc_signal< bool > emio_enet1_gmii_col_signal;
  sc_signal< sc_bv<8> > emio_enet1_gmii_rxd_signal;
  sc_signal< bool > emio_enet1_gmii_rx_er_signal;
  sc_signal< bool > emio_enet1_gmii_rx_dv_signal;
  sc_signal< bool > emio_enet1_gmii_tx_clk_signal;
  sc_signal< sc_bv<8> > emio_enet1_gmii_txd_signal;
  sc_signal< bool > emio_enet1_gmii_tx_en_signal;
  sc_signal< bool > emio_enet1_gmii_tx_er_signal;
  sc_signal< bool > emio_enet1_mdio_mdc_signal;
  sc_signal< bool > emio_enet1_mdio_i_signal;
  sc_signal< bool > emio_enet1_mdio_o_signal;
  sc_signal< bool > emio_enet1_mdio_t_signal;
  sc_signal< bool > emio_enet2_gmii_rx_clk_signal;
  sc_signal< sc_bv<3> > emio_enet2_speed_mode_signal;
  sc_signal< bool > emio_enet2_gmii_crs_signal;
  sc_signal< bool > emio_enet2_gmii_col_signal;
  sc_signal< sc_bv<8> > emio_enet2_gmii_rxd_signal;
  sc_signal< bool > emio_enet2_gmii_rx_er_signal;
  sc_signal< bool > emio_enet2_gmii_rx_dv_signal;
  sc_signal< bool > emio_enet2_gmii_tx_clk_signal;
  sc_signal< sc_bv<8> > emio_enet2_gmii_txd_signal;
  sc_signal< bool > emio_enet2_gmii_tx_en_signal;
  sc_signal< bool > emio_enet2_gmii_tx_er_signal;
  sc_signal< bool > emio_enet2_mdio_mdc_signal;
  sc_signal< bool > emio_enet2_mdio_i_signal;
  sc_signal< bool > emio_enet2_mdio_o_signal;
  sc_signal< bool > emio_enet2_mdio_t_signal;
  sc_signal< bool > emio_enet3_gmii_rx_clk_signal;
  sc_signal< sc_bv<3> > emio_enet3_speed_mode_signal;
  sc_signal< bool > emio_enet3_gmii_crs_signal;
  sc_signal< bool > emio_enet3_gmii_col_signal;
  sc_signal< sc_bv<8> > emio_enet3_gmii_rxd_signal;
  sc_signal< bool > emio_enet3_gmii_rx_er_signal;
  sc_signal< bool > emio_enet3_gmii_rx_dv_signal;
  sc_signal< bool > emio_enet3_gmii_tx_clk_signal;
  sc_signal< sc_bv<8> > emio_enet3_gmii_txd_signal;
  sc_signal< bool > emio_enet3_gmii_tx_en_signal;
  sc_signal< bool > emio_enet3_gmii_tx_er_signal;
  sc_signal< bool > emio_enet3_mdio_mdc_signal;
  sc_signal< bool > emio_enet3_mdio_i_signal;
  sc_signal< bool > emio_enet3_mdio_o_signal;
  sc_signal< bool > emio_enet3_mdio_t_signal;
  sc_signal< bool > emio_enet0_tx_r_data_rdy_signal;
  sc_signal< bool > emio_enet0_tx_r_rd_signal;
  sc_signal< bool > emio_enet0_tx_r_valid_signal;
  sc_signal< sc_bv<8> > emio_enet0_tx_r_data_signal;
  sc_signal< bool > emio_enet0_tx_r_sop_signal;
  sc_signal< bool > emio_enet0_tx_r_eop_signal;
  sc_signal< bool > emio_enet0_tx_r_err_signal;
  sc_signal< bool > emio_enet0_tx_r_underflow_signal;
  sc_signal< bool > emio_enet0_tx_r_flushed_signal;
  sc_signal< bool > emio_enet0_tx_r_control_signal;
  sc_signal< bool > emio_enet0_dma_tx_end_tog_signal;
  sc_signal< bool > emio_enet0_dma_tx_status_tog_signal;
  sc_signal< sc_bv<4> > emio_enet0_tx_r_status_signal;
  sc_signal< bool > emio_enet0_rx_w_wr_signal;
  sc_signal< sc_bv<8> > emio_enet0_rx_w_data_signal;
  sc_signal< bool > emio_enet0_rx_w_sop_signal;
  sc_signal< bool > emio_enet0_rx_w_eop_signal;
  sc_signal< sc_bv<45> > emio_enet0_rx_w_status_signal;
  sc_signal< bool > emio_enet0_rx_w_err_signal;
  sc_signal< bool > emio_enet0_rx_w_overflow_signal;
  sc_signal< bool > emio_enet0_rx_w_flush_signal;
  sc_signal< bool > emio_enet0_tx_r_fixed_lat_signal;
  sc_signal< bool > fmio_gem0_fifo_tx_clk_to_pl_bufg_signal;
  sc_signal< bool > fmio_gem0_fifo_rx_clk_to_pl_bufg_signal;
  sc_signal< bool > emio_enet1_tx_r_data_rdy_signal;
  sc_signal< bool > emio_enet1_tx_r_rd_signal;
  sc_signal< bool > emio_enet1_tx_r_valid_signal;
  sc_signal< sc_bv<8> > emio_enet1_tx_r_data_signal;
  sc_signal< bool > emio_enet1_tx_r_sop_signal;
  sc_signal< bool > emio_enet1_tx_r_eop_signal;
  sc_signal< bool > emio_enet1_tx_r_err_signal;
  sc_signal< bool > emio_enet1_tx_r_underflow_signal;
  sc_signal< bool > emio_enet1_tx_r_flushed_signal;
  sc_signal< bool > emio_enet1_tx_r_control_signal;
  sc_signal< bool > emio_enet1_dma_tx_end_tog_signal;
  sc_signal< bool > emio_enet1_dma_tx_status_tog_signal;
  sc_signal< sc_bv<4> > emio_enet1_tx_r_status_signal;
  sc_signal< bool > emio_enet1_rx_w_wr_signal;
  sc_signal< sc_bv<8> > emio_enet1_rx_w_data_signal;
  sc_signal< bool > emio_enet1_rx_w_sop_signal;
  sc_signal< bool > emio_enet1_rx_w_eop_signal;
  sc_signal< sc_bv<45> > emio_enet1_rx_w_status_signal;
  sc_signal< bool > emio_enet1_rx_w_err_signal;
  sc_signal< bool > emio_enet1_rx_w_overflow_signal;
  sc_signal< bool > emio_enet1_rx_w_flush_signal;
  sc_signal< bool > emio_enet1_tx_r_fixed_lat_signal;
  sc_signal< bool > fmio_gem1_fifo_tx_clk_to_pl_bufg_signal;
  sc_signal< bool > fmio_gem1_fifo_rx_clk_to_pl_bufg_signal;
  sc_signal< bool > emio_enet2_tx_r_data_rdy_signal;
  sc_signal< bool > emio_enet2_tx_r_rd_signal;
  sc_signal< bool > emio_enet2_tx_r_valid_signal;
  sc_signal< sc_bv<8> > emio_enet2_tx_r_data_signal;
  sc_signal< bool > emio_enet2_tx_r_sop_signal;
  sc_signal< bool > emio_enet2_tx_r_eop_signal;
  sc_signal< bool > emio_enet2_tx_r_err_signal;
  sc_signal< bool > emio_enet2_tx_r_underflow_signal;
  sc_signal< bool > emio_enet2_tx_r_flushed_signal;
  sc_signal< bool > emio_enet2_tx_r_control_signal;
  sc_signal< bool > emio_enet2_dma_tx_end_tog_signal;
  sc_signal< bool > emio_enet2_dma_tx_status_tog_signal;
  sc_signal< sc_bv<4> > emio_enet2_tx_r_status_signal;
  sc_signal< bool > emio_enet2_rx_w_wr_signal;
  sc_signal< sc_bv<8> > emio_enet2_rx_w_data_signal;
  sc_signal< bool > emio_enet2_rx_w_sop_signal;
  sc_signal< bool > emio_enet2_rx_w_eop_signal;
  sc_signal< sc_bv<45> > emio_enet2_rx_w_status_signal;
  sc_signal< bool > emio_enet2_rx_w_err_signal;
  sc_signal< bool > emio_enet2_rx_w_overflow_signal;
  sc_signal< bool > emio_enet2_rx_w_flush_signal;
  sc_signal< bool > emio_enet2_tx_r_fixed_lat_signal;
  sc_signal< bool > fmio_gem2_fifo_tx_clk_to_pl_bufg_signal;
  sc_signal< bool > fmio_gem2_fifo_rx_clk_to_pl_bufg_signal;
  sc_signal< bool > emio_enet3_tx_r_data_rdy_signal;
  sc_signal< bool > emio_enet3_tx_r_rd_signal;
  sc_signal< bool > emio_enet3_tx_r_valid_signal;
  sc_signal< sc_bv<8> > emio_enet3_tx_r_data_signal;
  sc_signal< bool > emio_enet3_tx_r_sop_signal;
  sc_signal< bool > emio_enet3_tx_r_eop_signal;
  sc_signal< bool > emio_enet3_tx_r_err_signal;
  sc_signal< bool > emio_enet3_tx_r_underflow_signal;
  sc_signal< bool > emio_enet3_tx_r_flushed_signal;
  sc_signal< bool > emio_enet3_tx_r_control_signal;
  sc_signal< bool > emio_enet3_dma_tx_end_tog_signal;
  sc_signal< bool > emio_enet3_dma_tx_status_tog_signal;
  sc_signal< sc_bv<4> > emio_enet3_tx_r_status_signal;
  sc_signal< bool > emio_enet3_rx_w_wr_signal;
  sc_signal< sc_bv<8> > emio_enet3_rx_w_data_signal;
  sc_signal< bool > emio_enet3_rx_w_sop_signal;
  sc_signal< bool > emio_enet3_rx_w_eop_signal;
  sc_signal< sc_bv<45> > emio_enet3_rx_w_status_signal;
  sc_signal< bool > emio_enet3_rx_w_err_signal;
  sc_signal< bool > emio_enet3_rx_w_overflow_signal;
  sc_signal< bool > emio_enet3_rx_w_flush_signal;
  sc_signal< bool > emio_enet3_tx_r_fixed_lat_signal;
  sc_signal< bool > fmio_gem3_fifo_tx_clk_to_pl_bufg_signal;
  sc_signal< bool > fmio_gem3_fifo_rx_clk_to_pl_bufg_signal;
  sc_signal< bool > emio_enet0_tx_sof_signal;
  sc_signal< bool > emio_enet0_sync_frame_tx_signal;
  sc_signal< bool > emio_enet0_delay_req_tx_signal;
  sc_signal< bool > emio_enet0_pdelay_req_tx_signal;
  sc_signal< bool > emio_enet0_pdelay_resp_tx_signal;
  sc_signal< bool > emio_enet0_rx_sof_signal;
  sc_signal< bool > emio_enet0_sync_frame_rx_signal;
  sc_signal< bool > emio_enet0_delay_req_rx_signal;
  sc_signal< bool > emio_enet0_pdelay_req_rx_signal;
  sc_signal< bool > emio_enet0_pdelay_resp_rx_signal;
  sc_signal< sc_bv<2> > emio_enet0_tsu_inc_ctrl_signal;
  sc_signal< bool > emio_enet0_tsu_timer_cmp_val_signal;
  sc_signal< bool > emio_enet1_tx_sof_signal;
  sc_signal< bool > emio_enet1_sync_frame_tx_signal;
  sc_signal< bool > emio_enet1_delay_req_tx_signal;
  sc_signal< bool > emio_enet1_pdelay_req_tx_signal;
  sc_signal< bool > emio_enet1_pdelay_resp_tx_signal;
  sc_signal< bool > emio_enet1_rx_sof_signal;
  sc_signal< bool > emio_enet1_sync_frame_rx_signal;
  sc_signal< bool > emio_enet1_delay_req_rx_signal;
  sc_signal< bool > emio_enet1_pdelay_req_rx_signal;
  sc_signal< bool > emio_enet1_pdelay_resp_rx_signal;
  sc_signal< sc_bv<2> > emio_enet1_tsu_inc_ctrl_signal;
  sc_signal< bool > emio_enet1_tsu_timer_cmp_val_signal;
  sc_signal< bool > emio_enet2_tx_sof_signal;
  sc_signal< bool > emio_enet2_sync_frame_tx_signal;
  sc_signal< bool > emio_enet2_delay_req_tx_signal;
  sc_signal< bool > emio_enet2_pdelay_req_tx_signal;
  sc_signal< bool > emio_enet2_pdelay_resp_tx_signal;
  sc_signal< bool > emio_enet2_rx_sof_signal;
  sc_signal< bool > emio_enet2_sync_frame_rx_signal;
  sc_signal< bool > emio_enet2_delay_req_rx_signal;
  sc_signal< bool > emio_enet2_pdelay_req_rx_signal;
  sc_signal< bool > emio_enet2_pdelay_resp_rx_signal;
  sc_signal< sc_bv<2> > emio_enet2_tsu_inc_ctrl_signal;
  sc_signal< bool > emio_enet2_tsu_timer_cmp_val_signal;
  sc_signal< bool > emio_enet3_tx_sof_signal;
  sc_signal< bool > emio_enet3_sync_frame_tx_signal;
  sc_signal< bool > emio_enet3_delay_req_tx_signal;
  sc_signal< bool > emio_enet3_pdelay_req_tx_signal;
  sc_signal< bool > emio_enet3_pdelay_resp_tx_signal;
  sc_signal< bool > emio_enet3_rx_sof_signal;
  sc_signal< bool > emio_enet3_sync_frame_rx_signal;
  sc_signal< bool > emio_enet3_delay_req_rx_signal;
  sc_signal< bool > emio_enet3_pdelay_req_rx_signal;
  sc_signal< bool > emio_enet3_pdelay_resp_rx_signal;
  sc_signal< sc_bv<2> > emio_enet3_tsu_inc_ctrl_signal;
  sc_signal< bool > emio_enet3_tsu_timer_cmp_val_signal;
  sc_signal< bool > fmio_gem_tsu_clk_to_pl_bufg_signal;
  sc_signal< bool > fmio_gem_tsu_clk_from_pl_signal;
  sc_signal< bool > emio_enet_tsu_clk_signal;
  sc_signal< sc_bv<94> > emio_enet0_enet_tsu_timer_cnt_signal;
  sc_signal< bool > emio_enet0_ext_int_in_signal;
  sc_signal< bool > emio_enet1_ext_int_in_signal;
  sc_signal< bool > emio_enet2_ext_int_in_signal;
  sc_signal< bool > emio_enet3_ext_int_in_signal;
  sc_signal< sc_bv<2> > emio_enet0_dma_bus_width_signal;
  sc_signal< sc_bv<2> > emio_enet1_dma_bus_width_signal;
  sc_signal< sc_bv<2> > emio_enet2_dma_bus_width_signal;
  sc_signal< sc_bv<2> > emio_enet3_dma_bus_width_signal;
  sc_signal< sc_bv<1> > emio_gpio_i_signal;
  sc_signal< sc_bv<1> > emio_gpio_o_signal;
  sc_signal< sc_bv<1> > emio_gpio_t_signal;
  sc_signal< bool > emio_i2c0_scl_i_signal;
  sc_signal< bool > emio_i2c0_scl_o_signal;
  sc_signal< bool > emio_i2c0_scl_t_signal;
  sc_signal< bool > emio_i2c0_sda_i_signal;
  sc_signal< bool > emio_i2c0_sda_o_signal;
  sc_signal< bool > emio_i2c0_sda_t_signal;
  sc_signal< bool > emio_i2c1_scl_i_signal;
  sc_signal< bool > emio_i2c1_scl_o_signal;
  sc_signal< bool > emio_i2c1_scl_t_signal;
  sc_signal< bool > emio_i2c1_sda_i_signal;
  sc_signal< bool > emio_i2c1_sda_o_signal;
  sc_signal< bool > emio_i2c1_sda_t_signal;
  sc_signal< bool > emio_uart0_txd_signal;
  sc_signal< bool > emio_uart0_rxd_signal;
  sc_signal< bool > emio_uart0_ctsn_signal;
  sc_signal< bool > emio_uart0_rtsn_signal;
  sc_signal< bool > emio_uart0_dsrn_signal;
  sc_signal< bool > emio_uart0_dcdn_signal;
  sc_signal< bool > emio_uart0_rin_signal;
  sc_signal< bool > emio_uart0_dtrn_signal;
  sc_signal< bool > emio_uart1_txd_signal;
  sc_signal< bool > emio_uart1_rxd_signal;
  sc_signal< bool > emio_uart1_ctsn_signal;
  sc_signal< bool > emio_uart1_rtsn_signal;
  sc_signal< bool > emio_uart1_dsrn_signal;
  sc_signal< bool > emio_uart1_dcdn_signal;
  sc_signal< bool > emio_uart1_rin_signal;
  sc_signal< bool > emio_uart1_dtrn_signal;
  sc_signal< bool > emio_sdio0_clkout_signal;
  sc_signal< bool > emio_sdio0_fb_clk_in_signal;
  sc_signal< bool > emio_sdio0_cmdout_signal;
  sc_signal< bool > emio_sdio0_cmdin_signal;
  sc_signal< bool > emio_sdio0_cmdena_signal;
  sc_signal< sc_bv<8> > emio_sdio0_datain_signal;
  sc_signal< sc_bv<8> > emio_sdio0_dataout_signal;
  sc_signal< sc_bv<8> > emio_sdio0_dataena_signal;
  sc_signal< bool > emio_sdio0_cd_n_signal;
  sc_signal< bool > emio_sdio0_wp_signal;
  sc_signal< bool > emio_sdio0_ledcontrol_signal;
  sc_signal< bool > emio_sdio0_buspower_signal;
  sc_signal< sc_bv<3> > emio_sdio0_bus_volt_signal;
  sc_signal< bool > emio_sdio1_clkout_signal;
  sc_signal< bool > emio_sdio1_fb_clk_in_signal;
  sc_signal< bool > emio_sdio1_cmdout_signal;
  sc_signal< bool > emio_sdio1_cmdin_signal;
  sc_signal< bool > emio_sdio1_cmdena_signal;
  sc_signal< sc_bv<8> > emio_sdio1_datain_signal;
  sc_signal< sc_bv<8> > emio_sdio1_dataout_signal;
  sc_signal< sc_bv<8> > emio_sdio1_dataena_signal;
  sc_signal< bool > emio_sdio1_cd_n_signal;
  sc_signal< bool > emio_sdio1_wp_signal;
  sc_signal< bool > emio_sdio1_ledcontrol_signal;
  sc_signal< bool > emio_sdio1_buspower_signal;
  sc_signal< sc_bv<3> > emio_sdio1_bus_volt_signal;
  sc_signal< bool > emio_spi0_sclk_i_signal;
  sc_signal< bool > emio_spi0_sclk_o_signal;
  sc_signal< bool > emio_spi0_sclk_t_signal;
  sc_signal< bool > emio_spi0_m_i_signal;
  sc_signal< bool > emio_spi0_m_o_signal;
  sc_signal< bool > emio_spi0_mo_t_signal;
  sc_signal< bool > emio_spi0_s_i_signal;
  sc_signal< bool > emio_spi0_s_o_signal;
  sc_signal< bool > emio_spi0_so_t_signal;
  sc_signal< bool > emio_spi0_ss_i_n_signal;
  sc_signal< bool > emio_spi0_ss_o_n_signal;
  sc_signal< bool > emio_spi0_ss1_o_n_signal;
  sc_signal< bool > emio_spi0_ss2_o_n_signal;
  sc_signal< bool > emio_spi0_ss_n_t_signal;
  sc_signal< bool > emio_spi1_sclk_i_signal;
  sc_signal< bool > emio_spi1_sclk_o_signal;
  sc_signal< bool > emio_spi1_sclk_t_signal;
  sc_signal< bool > emio_spi1_m_i_signal;
  sc_signal< bool > emio_spi1_m_o_signal;
  sc_signal< bool > emio_spi1_mo_t_signal;
  sc_signal< bool > emio_spi1_s_i_signal;
  sc_signal< bool > emio_spi1_s_o_signal;
  sc_signal< bool > emio_spi1_so_t_signal;
  sc_signal< bool > emio_spi1_ss_i_n_signal;
  sc_signal< bool > emio_spi1_ss_o_n_signal;
  sc_signal< bool > emio_spi1_ss1_o_n_signal;
  sc_signal< bool > emio_spi1_ss2_o_n_signal;
  sc_signal< bool > emio_spi1_ss_n_t_signal;
  sc_signal< bool > pl_ps_trace_clk_signal;
  sc_signal< bool > ps_pl_tracectl_signal;
  sc_signal< sc_bv<32> > ps_pl_tracedata_signal;
  sc_signal< bool > trace_clk_out_signal;
  sc_signal< sc_bv<3> > emio_ttc0_wave_o_signal;
  sc_signal< sc_bv<3> > emio_ttc0_clk_i_signal;
  sc_signal< sc_bv<3> > emio_ttc1_wave_o_signal;
  sc_signal< sc_bv<3> > emio_ttc1_clk_i_signal;
  sc_signal< sc_bv<3> > emio_ttc2_wave_o_signal;
  sc_signal< sc_bv<3> > emio_ttc2_clk_i_signal;
  sc_signal< sc_bv<3> > emio_ttc3_wave_o_signal;
  sc_signal< sc_bv<3> > emio_ttc3_clk_i_signal;
  sc_signal< bool > emio_wdt0_clk_i_signal;
  sc_signal< bool > emio_wdt0_rst_o_signal;
  sc_signal< bool > emio_wdt1_clk_i_signal;
  sc_signal< bool > emio_wdt1_rst_o_signal;
  sc_signal< bool > emio_hub_port_overcrnt_usb3_0_signal;
  sc_signal< bool > emio_hub_port_overcrnt_usb3_1_signal;
  sc_signal< bool > emio_hub_port_overcrnt_usb2_0_signal;
  sc_signal< bool > emio_hub_port_overcrnt_usb2_1_signal;
  sc_signal< bool > emio_u2dsport_vbus_ctrl_usb3_0_signal;
  sc_signal< bool > emio_u2dsport_vbus_ctrl_usb3_1_signal;
  sc_signal< bool > emio_u3dsport_vbus_ctrl_usb3_0_signal;
  sc_signal< bool > emio_u3dsport_vbus_ctrl_usb3_1_signal;
  sc_signal< sc_bv<8> > adma_fci_clk_signal;
  sc_signal< sc_bv<8> > pl2adma_cvld_signal;
  sc_signal< sc_bv<8> > pl2adma_tack_signal;
  sc_signal< sc_bv<8> > adma2pl_cack_signal;
  sc_signal< sc_bv<8> > adma2pl_tvld_signal;
  sc_signal< sc_bv<8> > perif_gdma_clk_signal;
  sc_signal< sc_bv<8> > perif_gdma_cvld_signal;
  sc_signal< sc_bv<8> > perif_gdma_tack_signal;
  sc_signal< sc_bv<8> > gdma_perif_cack_signal;
  sc_signal< sc_bv<8> > gdma_perif_tvld_signal;
  sc_signal< sc_bv<4> > pl_clock_stop_signal;
  sc_signal< sc_bv<2> > pll_aux_refclk_lpd_signal;
  sc_signal< sc_bv<3> > pll_aux_refclk_fpd_signal;
  sc_signal< bool > dp_audio_ref_clk_signal;
  sc_signal< bool > dp_video_ref_clk_signal;
  sc_signal< sc_bv<32> > dp_s_axis_audio_tdata_signal;
  sc_signal< bool > dp_s_axis_audio_tid_signal;
  sc_signal< bool > dp_s_axis_audio_tvalid_signal;
  sc_signal< bool > dp_s_axis_audio_tready_signal;
  sc_signal< sc_bv<32> > dp_m_axis_mixed_audio_tdata_signal;
  sc_signal< bool > dp_m_axis_mixed_audio_tid_signal;
  sc_signal< bool > dp_m_axis_mixed_audio_tvalid_signal;
  sc_signal< bool > dp_m_axis_mixed_audio_tready_signal;
  sc_signal< bool > dp_s_axis_audio_clk_signal;
  sc_signal< bool > dp_live_video_in_vsync_signal;
  sc_signal< bool > dp_live_video_in_hsync_signal;
  sc_signal< bool > dp_live_video_in_de_signal;
  sc_signal< sc_bv<36> > dp_live_video_in_pixel1_signal;
  sc_signal< bool > dp_video_in_clk_signal;
  sc_signal< bool > dp_video_out_hsync_signal;
  sc_signal< bool > dp_video_out_vsync_signal;
  sc_signal< sc_bv<36> > dp_video_out_pixel1_signal;
  sc_signal< bool > dp_aux_data_in_signal;
  sc_signal< bool > dp_aux_data_out_signal;
  sc_signal< bool > dp_aux_data_oe_n_signal;
  sc_signal< sc_bv<8> > dp_live_gfx_alpha_in_signal;
  sc_signal< sc_bv<36> > dp_live_gfx_pixel1_in_signal;
  sc_signal< bool > dp_hot_plug_detect_signal;
  sc_signal< bool > dp_external_custom_event1_signal;
  sc_signal< bool > dp_external_custom_event2_signal;
  sc_signal< bool > dp_external_vsync_event_signal;
  sc_signal< bool > dp_live_video_de_out_signal;
  sc_signal< bool > pl_ps_eventi_signal;
  sc_signal< bool > ps_pl_evento_signal;
  sc_signal< sc_bv<4> > ps_pl_standbywfe_signal;
  sc_signal< sc_bv<4> > ps_pl_standbywfi_signal;
  sc_signal< sc_bv<4> > pl_ps_apugic_irq_signal;
  sc_signal< sc_bv<4> > pl_ps_apugic_fiq_signal;
  sc_signal< bool > rpu_eventi0_signal;
  sc_signal< bool > rpu_eventi1_signal;
  sc_signal< bool > rpu_evento0_signal;
  sc_signal< bool > rpu_evento1_signal;
  sc_signal< bool > nfiq0_lpd_rpu_signal;
  sc_signal< bool > nfiq1_lpd_rpu_signal;
  sc_signal< bool > nirq0_lpd_rpu_signal;
  sc_signal< bool > nirq1_lpd_rpu_signal;
  sc_signal< bool > irq_ipi_pl_0_signal;
  sc_signal< bool > irq_ipi_pl_1_signal;
  sc_signal< bool > irq_ipi_pl_2_signal;
  sc_signal< bool > irq_ipi_pl_3_signal;
  sc_signal< sc_bv<60> > stm_event_signal;
  sc_signal< bool > pl_ps_trigger_0_signal;
  sc_signal< bool > pl_ps_trigger_1_signal;
  sc_signal< bool > pl_ps_trigger_2_signal;
  sc_signal< bool > pl_ps_trigger_3_signal;
  sc_signal< bool > ps_pl_trigack_0_signal;
  sc_signal< bool > ps_pl_trigack_1_signal;
  sc_signal< bool > ps_pl_trigack_2_signal;
  sc_signal< bool > ps_pl_trigack_3_signal;
  sc_signal< bool > ps_pl_trigger_0_signal;
  sc_signal< bool > ps_pl_trigger_1_signal;
  sc_signal< bool > ps_pl_trigger_2_signal;
  sc_signal< bool > ps_pl_trigger_3_signal;
  sc_signal< bool > pl_ps_trigack_0_signal;
  sc_signal< bool > pl_ps_trigack_1_signal;
  sc_signal< bool > pl_ps_trigack_2_signal;
  sc_signal< bool > pl_ps_trigack_3_signal;
  sc_signal< sc_bv<32> > ftm_gpo_signal;
  sc_signal< sc_bv<32> > ftm_gpi_signal;
  sc_signal< sc_bv<1> > pl_ps_irq0_signal;
  sc_signal< sc_bv<1> > pl_ps_irq1_signal;
  sc_signal< bool > pl_resetn0_signal;
  sc_signal< bool > pl_resetn1_signal;
  sc_signal< bool > pl_resetn2_signal;
  sc_signal< bool > pl_resetn3_signal;
  sc_signal< bool > osc_rtc_clk_signal;
  sc_signal< sc_bv<32> > pl_pmu_gpi_signal;
  sc_signal< sc_bv<32> > pmu_pl_gpo_signal;
  sc_signal< bool > aib_pmu_afifm_fpd_ack_signal;
  sc_signal< bool > aib_pmu_afifm_lpd_ack_signal;
  sc_signal< bool > pmu_aib_afifm_fpd_req_signal;
  sc_signal< bool > pmu_aib_afifm_lpd_req_signal;
  sc_signal< sc_bv<4> > pmu_error_from_pl_signal;
  sc_signal< sc_bv<47> > pmu_error_to_pl_signal;
  sc_signal< bool > pl_acpinact_signal;
  sc_signal< bool > pl_clk0_signal;
  sc_signal< bool > pl_clk1_signal;
  sc_signal< bool > pl_clk2_signal;
  sc_signal< bool > pl_clk3_signal;
  sc_signal< bool > ps_pl_irq_can0_signal;
  sc_signal< bool > ps_pl_irq_can1_signal;
  sc_signal< bool > ps_pl_irq_enet0_signal;
  sc_signal< bool > ps_pl_irq_enet1_signal;
  sc_signal< bool > ps_pl_irq_enet2_signal;
  sc_signal< bool > ps_pl_irq_enet3_signal;
  sc_signal< bool > ps_pl_irq_enet0_wake_signal;
  sc_signal< bool > ps_pl_irq_enet1_wake_signal;
  sc_signal< bool > ps_pl_irq_enet2_wake_signal;
  sc_signal< bool > ps_pl_irq_enet3_wake_signal;
  sc_signal< bool > ps_pl_irq_gpio_signal;
  sc_signal< bool > ps_pl_irq_i2c0_signal;
  sc_signal< bool > ps_pl_irq_i2c1_signal;
  sc_signal< bool > ps_pl_irq_uart0_signal;
  sc_signal< bool > ps_pl_irq_uart1_signal;
  sc_signal< bool > ps_pl_irq_sdio0_signal;
  sc_signal< bool > ps_pl_irq_sdio1_signal;
  sc_signal< bool > ps_pl_irq_sdio0_wake_signal;
  sc_signal< bool > ps_pl_irq_sdio1_wake_signal;
  sc_signal< bool > ps_pl_irq_spi0_signal;
  sc_signal< bool > ps_pl_irq_spi1_signal;
  sc_signal< bool > ps_pl_irq_qspi_signal;
  sc_signal< bool > ps_pl_irq_ttc0_0_signal;
  sc_signal< bool > ps_pl_irq_ttc0_1_signal;
  sc_signal< bool > ps_pl_irq_ttc0_2_signal;
  sc_signal< bool > ps_pl_irq_ttc1_0_signal;
  sc_signal< bool > ps_pl_irq_ttc1_1_signal;
  sc_signal< bool > ps_pl_irq_ttc1_2_signal;
  sc_signal< bool > ps_pl_irq_ttc2_0_signal;
  sc_signal< bool > ps_pl_irq_ttc2_1_signal;
  sc_signal< bool > ps_pl_irq_ttc2_2_signal;
  sc_signal< bool > ps_pl_irq_ttc3_0_signal;
  sc_signal< bool > ps_pl_irq_ttc3_1_signal;
  sc_signal< bool > ps_pl_irq_ttc3_2_signal;
  sc_signal< bool > ps_pl_irq_csu_pmu_wdt_signal;
  sc_signal< bool > ps_pl_irq_lp_wdt_signal;
  sc_signal< sc_bv<4> > ps_pl_irq_usb3_0_endpoint_signal;
  sc_signal< bool > ps_pl_irq_usb3_0_otg_signal;
  sc_signal< sc_bv<4> > ps_pl_irq_usb3_1_endpoint_signal;
  sc_signal< bool > ps_pl_irq_usb3_1_otg_signal;
  sc_signal< sc_bv<8> > ps_pl_irq_adma_chan_signal;
  sc_signal< sc_bv<2> > ps_pl_irq_usb3_0_pmu_wakeup_signal;
  sc_signal< sc_bv<8> > ps_pl_irq_gdma_chan_signal;
  sc_signal< bool > ps_pl_irq_csu_signal;
  sc_signal< bool > ps_pl_irq_csu_dma_signal;
  sc_signal< bool > ps_pl_irq_efuse_signal;
  sc_signal< bool > ps_pl_irq_xmpu_lpd_signal;
  sc_signal< bool > ps_pl_irq_ddr_ss_signal;
  sc_signal< bool > ps_pl_irq_nand_signal;
  sc_signal< bool > ps_pl_irq_fp_wdt_signal;
  sc_signal< sc_bv<2> > ps_pl_irq_pcie_msi_signal;
  sc_signal< bool > ps_pl_irq_pcie_legacy_signal;
  sc_signal< bool > ps_pl_irq_pcie_dma_signal;
  sc_signal< bool > ps_pl_irq_pcie_msc_signal;
  sc_signal< bool > ps_pl_irq_dport_signal;
  sc_signal< bool > ps_pl_irq_fpd_apb_int_signal;
  sc_signal< bool > ps_pl_irq_fpd_atb_error_signal;
  sc_signal< bool > ps_pl_irq_dpdma_signal;
  sc_signal< bool > ps_pl_irq_apm_fpd_signal;
  sc_signal< bool > ps_pl_irq_gpu_signal;
  sc_signal< bool > ps_pl_irq_sata_signal;
  sc_signal< bool > ps_pl_irq_xmpu_fpd_signal;
  sc_signal< sc_bv<4> > ps_pl_irq_apu_cpumnt_signal;
  sc_signal< sc_bv<4> > ps_pl_irq_apu_cti_signal;
  sc_signal< sc_bv<4> > ps_pl_irq_apu_pmu_signal;
  sc_signal< sc_bv<4> > ps_pl_irq_apu_comm_signal;
  sc_signal< bool > ps_pl_irq_apu_l2err_signal;
  sc_signal< bool > ps_pl_irq_apu_exterr_signal;
  sc_signal< bool > ps_pl_irq_apu_regs_signal;
  sc_signal< bool > ps_pl_irq_intf_ppd_cci_signal;
  sc_signal< bool > ps_pl_irq_intf_fpd_smmu_signal;
  sc_signal< bool > ps_pl_irq_atb_err_lpd_signal;
  sc_signal< bool > ps_pl_irq_aib_axi_signal;
  sc_signal< bool > ps_pl_irq_ams_signal;
  sc_signal< bool > ps_pl_irq_lpd_apm_signal;
  sc_signal< bool > ps_pl_irq_rtc_alaram_signal;
  sc_signal< bool > ps_pl_irq_rtc_seconds_signal;
  sc_signal< bool > ps_pl_irq_clkmon_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel0_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel1_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel2_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel7_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel8_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel9_signal;
  sc_signal< bool > ps_pl_irq_ipi_channel10_signal;
  sc_signal< sc_bv<2> > ps_pl_irq_rpu_pm_signal;
  sc_signal< bool > ps_pl_irq_ocm_error_signal;
  sc_signal< bool > ps_pl_irq_lpd_apb_intr_signal;
  sc_signal< bool > ps_pl_irq_r5_core0_ecc_error_signal;
  sc_signal< bool > ps_pl_irq_r5_core1_ecc_error_signal;
  sc_signal< sc_bv<4> > test_adc_clk_signal;
  sc_signal< sc_bv<32> > test_adc_in_signal;
  sc_signal< sc_bv<32> > test_adc2_in_signal;
  sc_signal< sc_bv<16> > test_db_signal;
  sc_signal< sc_bv<20> > test_adc_out_signal;
  sc_signal< sc_bv<8> > test_ams_osc_signal;
  sc_signal< sc_bv<16> > test_mon_data_signal;
  sc_signal< bool > test_dclk_signal;
  sc_signal< bool > test_den_signal;
  sc_signal< bool > test_dwe_signal;
  sc_signal< sc_bv<8> > test_daddr_signal;
  sc_signal< sc_bv<16> > test_di_signal;
  sc_signal< bool > test_drdy_signal;
  sc_signal< sc_bv<16> > test_do_signal;
  sc_signal< bool > test_convst_signal;
  sc_signal< sc_bv<4> > pstp_pl_clk_signal;
  sc_signal< sc_bv<32> > pstp_pl_in_signal;
  sc_signal< sc_bv<32> > pstp_pl_out_signal;
  sc_signal< sc_bv<32> > pstp_pl_ts_signal;
  sc_signal< bool > fmio_test_gem_scanmux_1_signal;
  sc_signal< bool > fmio_test_gem_scanmux_2_signal;
  sc_signal< bool > test_char_mode_fpd_n_signal;
  sc_signal< bool > test_char_mode_lpd_n_signal;
  sc_signal< bool > fmio_test_io_char_scan_clock_signal;
  sc_signal< bool > fmio_test_io_char_scanenable_signal;
  sc_signal< bool > fmio_test_io_char_scan_in_signal;
  sc_signal< bool > fmio_test_io_char_scan_out_signal;
  sc_signal< bool > fmio_test_io_char_scan_reset_n_signal;
  sc_signal< bool > fmio_char_afifslpd_test_select_n_signal;
  sc_signal< bool > fmio_char_afifslpd_test_input_signal;
  sc_signal< bool > fmio_char_afifslpd_test_output_signal;
  sc_signal< bool > fmio_char_afifsfpd_test_select_n_signal;
  sc_signal< bool > fmio_char_afifsfpd_test_input_signal;
  sc_signal< bool > fmio_char_afifsfpd_test_output_signal;
  sc_signal< bool > io_char_audio_in_test_data_signal;
  sc_signal< bool > io_char_audio_mux_sel_n_signal;
  sc_signal< bool > io_char_video_in_test_data_signal;
  sc_signal< bool > io_char_video_mux_sel_n_signal;
  sc_signal< bool > io_char_video_out_test_data_signal;
  sc_signal< bool > io_char_audio_out_test_data_signal;
  sc_signal< bool > fmio_test_qspi_scanmux_1_n_signal;
  sc_signal< bool > fmio_test_sdio_scanmux_1_signal;
  sc_signal< bool > fmio_test_sdio_scanmux_2_signal;
  sc_signal< sc_bv<4> > fmio_sd0_dll_test_in_n_signal;
  sc_signal< sc_bv<8> > fmio_sd0_dll_test_out_signal;
  sc_signal< sc_bv<4> > fmio_sd1_dll_test_in_n_signal;
  sc_signal< sc_bv<8> > fmio_sd1_dll_test_out_signal;
  sc_signal< bool > test_pl_scan_chopper_si_signal;
  sc_signal< bool > test_pl_scan_chopper_so_signal;
  sc_signal< bool > test_pl_scan_chopper_trig_signal;
  sc_signal< bool > test_pl_scan_clk0_signal;
  sc_signal< bool > test_pl_scan_clk1_signal;
  sc_signal< bool > test_pl_scan_edt_clk_signal;
  sc_signal< bool > test_pl_scan_edt_in_apu_signal;
  sc_signal< bool > test_pl_scan_edt_in_cpu_signal;
  sc_signal< sc_bv<4> > test_pl_scan_edt_in_ddr_signal;
  sc_signal< sc_bv<10> > test_pl_scan_edt_in_fp_signal;
  sc_signal< sc_bv<4> > test_pl_scan_edt_in_gpu_signal;
  sc_signal< sc_bv<9> > test_pl_scan_edt_in_lp_signal;
  sc_signal< sc_bv<2> > test_pl_scan_edt_in_usb3_signal;
  sc_signal< bool > test_pl_scan_edt_out_apu_signal;
  sc_signal< bool > test_pl_scan_edt_out_cpu0_signal;
  sc_signal< bool > test_pl_scan_edt_out_cpu1_signal;
  sc_signal< bool > test_pl_scan_edt_out_cpu2_signal;
  sc_signal< bool > test_pl_scan_edt_out_cpu3_signal;
  sc_signal< sc_bv<4> > test_pl_scan_edt_out_ddr_signal;
  sc_signal< sc_bv<10> > test_pl_scan_edt_out_fp_signal;
  sc_signal< sc_bv<4> > test_pl_scan_edt_out_gpu_signal;
  sc_signal< sc_bv<9> > test_pl_scan_edt_out_lp_signal;
  sc_signal< sc_bv<2> > test_pl_scan_edt_out_usb3_signal;
  sc_signal< bool > test_pl_scan_edt_update_signal;
  sc_signal< bool > test_pl_scan_reset_n_signal;
  sc_signal< bool > test_pl_scanenable_signal;
  sc_signal< bool > test_pl_scan_pll_reset_signal;
  sc_signal< bool > test_pl_scan_spare_in0_signal;
  sc_signal< bool > test_pl_scan_spare_in1_signal;
  sc_signal< bool > test_pl_scan_spare_out0_signal;
  sc_signal< bool > test_pl_scan_spare_out1_signal;
  sc_signal< bool > test_pl_scan_wrap_clk_signal;
  sc_signal< bool > test_pl_scan_wrap_ishift_signal;
  sc_signal< bool > test_pl_scan_wrap_oshift_signal;
  sc_signal< bool > test_pl_scan_slcr_config_clk_signal;
  sc_signal< bool > test_pl_scan_slcr_config_rstn_signal;
  sc_signal< bool > test_pl_scan_slcr_config_si_signal;
  sc_signal< bool > test_pl_scan_spare_in2_signal;
  sc_signal< bool > test_pl_scanenable_slcr_en_signal;
  sc_signal< sc_bv<5> > test_pl_pll_lock_out_signal;
  sc_signal< bool > test_pl_scan_slcr_config_so_signal;
  sc_signal< sc_bv<21> > tst_rtc_calibreg_in_signal;
  sc_signal< sc_bv<21> > tst_rtc_calibreg_out_signal;
  sc_signal< bool > tst_rtc_calibreg_we_signal;
  sc_signal< bool > tst_rtc_clk_signal;
  sc_signal< bool > tst_rtc_osc_clk_out_signal;
  sc_signal< sc_bv<32> > tst_rtc_sec_counter_out_signal;
  sc_signal< bool > tst_rtc_seconds_raw_int_signal;
  sc_signal< bool > tst_rtc_testclock_select_n_signal;
  sc_signal< sc_bv<16> > tst_rtc_tick_counter_out_signal;
  sc_signal< sc_bv<32> > tst_rtc_timesetreg_in_signal;
  sc_signal< sc_bv<32> > tst_rtc_timesetreg_out_signal;
  sc_signal< bool > tst_rtc_disable_bat_op_signal;
  sc_signal< sc_bv<4> > tst_rtc_osc_cntrl_in_signal;
  sc_signal< sc_bv<4> > tst_rtc_osc_cntrl_out_signal;
  sc_signal< bool > tst_rtc_osc_cntrl_we_signal;
  sc_signal< bool > tst_rtc_sec_reload_signal;
  sc_signal< bool > tst_rtc_timesetreg_we_signal;
  sc_signal< bool > tst_rtc_testmode_n_signal;
  sc_signal< bool > test_usb0_funcmux_0_n_signal;
  sc_signal< bool > test_usb1_funcmux_0_n_signal;
  sc_signal< bool > test_usb0_scanmux_0_n_signal;
  sc_signal< bool > test_usb1_scanmux_0_n_signal;
  sc_signal< sc_bv<32> > lpd_pll_test_out_signal;
  sc_signal< sc_bv<3> > pl_lpd_pll_test_ck_sel_n_signal;
  sc_signal< bool > pl_lpd_pll_test_fract_clk_sel_n_signal;
  sc_signal< bool > pl_lpd_pll_test_fract_en_n_signal;
  sc_signal< bool > pl_lpd_pll_test_mux_sel_signal;
  sc_signal< sc_bv<4> > pl_lpd_pll_test_sel_signal;
  sc_signal< sc_bv<32> > fpd_pll_test_out_signal;
  sc_signal< sc_bv<3> > pl_fpd_pll_test_ck_sel_n_signal;
  sc_signal< bool > pl_fpd_pll_test_fract_clk_sel_n_signal;
  sc_signal< bool > pl_fpd_pll_test_fract_en_n_signal;
  sc_signal< sc_bv<2> > pl_fpd_pll_test_mux_sel_signal;
  sc_signal< sc_bv<4> > pl_fpd_pll_test_sel_signal;
  sc_signal< sc_bv<2> > fmio_char_gem_selection_signal;
  sc_signal< bool > fmio_char_gem_test_select_n_signal;
  sc_signal< bool > fmio_char_gem_test_input_signal;
  sc_signal< bool > fmio_char_gem_test_output_signal;
  sc_signal< bool > test_ddr2pl_dcd_skewout_signal;
  sc_signal< bool > test_pl2ddr_dcd_sample_pulse_signal;
  sc_signal< bool > test_bscan_en_n_signal;
  sc_signal< bool > test_bscan_tdi_signal;
  sc_signal< bool > test_bscan_updatedr_signal;
  sc_signal< bool > test_bscan_shiftdr_signal;
  sc_signal< bool > test_bscan_reset_tap_b_signal;
  sc_signal< bool > test_bscan_misr_jtag_load_signal;
  sc_signal< bool > test_bscan_intest_signal;
  sc_signal< bool > test_bscan_extest_signal;
  sc_signal< bool > test_bscan_clockdr_signal;
  sc_signal< bool > test_bscan_ac_mode_signal;
  sc_signal< bool > test_bscan_ac_test_signal;
  sc_signal< bool > test_bscan_init_memory_signal;
  sc_signal< bool > test_bscan_mode_c_signal;
  sc_signal< bool > test_bscan_tdo_signal;
  sc_signal< bool > i_dbg_l0_txclk_signal;
  sc_signal< bool > i_dbg_l0_rxclk_signal;
  sc_signal< bool > i_dbg_l1_txclk_signal;
  sc_signal< bool > i_dbg_l1_rxclk_signal;
  sc_signal< bool > i_dbg_l2_txclk_signal;
  sc_signal< bool > i_dbg_l2_rxclk_signal;
  sc_signal< bool > i_dbg_l3_txclk_signal;
  sc_signal< bool > i_dbg_l3_rxclk_signal;
  sc_signal< bool > i_afe_rx_symbol_clk_by_2_pl_signal;
  sc_signal< bool > pl_fpd_spare_0_in_signal;
  sc_signal< bool > pl_fpd_spare_1_in_signal;
  sc_signal< bool > pl_fpd_spare_2_in_signal;
  sc_signal< bool > pl_fpd_spare_3_in_signal;
  sc_signal< bool > pl_fpd_spare_4_in_signal;
  sc_signal< bool > fpd_pl_spare_0_out_signal;
  sc_signal< bool > fpd_pl_spare_1_out_signal;
  sc_signal< bool > fpd_pl_spare_2_out_signal;
  sc_signal< bool > fpd_pl_spare_3_out_signal;
  sc_signal< bool > fpd_pl_spare_4_out_signal;
  sc_signal< bool > pl_lpd_spare_0_in_signal;
  sc_signal< bool > pl_lpd_spare_1_in_signal;
  sc_signal< bool > pl_lpd_spare_2_in_signal;
  sc_signal< bool > pl_lpd_spare_3_in_signal;
  sc_signal< bool > pl_lpd_spare_4_in_signal;
  sc_signal< bool > lpd_pl_spare_0_out_signal;
  sc_signal< bool > lpd_pl_spare_1_out_signal;
  sc_signal< bool > lpd_pl_spare_2_out_signal;
  sc_signal< bool > lpd_pl_spare_3_out_signal;
  sc_signal< bool > lpd_pl_spare_4_out_signal;
  sc_signal< bool > o_dbg_l0_phystatus_signal;
  sc_signal< sc_bv<20> > o_dbg_l0_rxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_rxdatak_signal;
  sc_signal< bool > o_dbg_l0_rxvalid_signal;
  sc_signal< sc_bv<3> > o_dbg_l0_rxstatus_signal;
  sc_signal< bool > o_dbg_l0_rxelecidle_signal;
  sc_signal< bool > o_dbg_l0_rstb_signal;
  sc_signal< sc_bv<20> > o_dbg_l0_txdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_txdatak_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_rate_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_powerdown_signal;
  sc_signal< bool > o_dbg_l0_txelecidle_signal;
  sc_signal< bool > o_dbg_l0_txdetrx_lpback_signal;
  sc_signal< bool > o_dbg_l0_rxpolarity_signal;
  sc_signal< bool > o_dbg_l0_tx_sgmii_ewrap_signal;
  sc_signal< bool > o_dbg_l0_rx_sgmii_en_cdet_signal;
  sc_signal< sc_bv<20> > o_dbg_l0_sata_corerxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_sata_corerxdatavalid_signal;
  sc_signal< bool > o_dbg_l0_sata_coreready_signal;
  sc_signal< bool > o_dbg_l0_sata_coreclockready_signal;
  sc_signal< bool > o_dbg_l0_sata_corerxsignaldet_signal;
  sc_signal< sc_bv<20> > o_dbg_l0_sata_phyctrltxdata_signal;
  sc_signal< bool > o_dbg_l0_sata_phyctrltxidle_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_sata_phyctrltxrate_signal;
  sc_signal< sc_bv<2> > o_dbg_l0_sata_phyctrlrxrate_signal;
  sc_signal< bool > o_dbg_l0_sata_phyctrltxrst_signal;
  sc_signal< bool > o_dbg_l0_sata_phyctrlrxrst_signal;
  sc_signal< bool > o_dbg_l0_sata_phyctrlreset_signal;
  sc_signal< bool > o_dbg_l0_sata_phyctrlpartial_signal;
  sc_signal< bool > o_dbg_l0_sata_phyctrlslumber_signal;
  sc_signal< bool > o_dbg_l1_phystatus_signal;
  sc_signal< sc_bv<20> > o_dbg_l1_rxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_rxdatak_signal;
  sc_signal< bool > o_dbg_l1_rxvalid_signal;
  sc_signal< sc_bv<3> > o_dbg_l1_rxstatus_signal;
  sc_signal< bool > o_dbg_l1_rxelecidle_signal;
  sc_signal< bool > o_dbg_l1_rstb_signal;
  sc_signal< sc_bv<20> > o_dbg_l1_txdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_txdatak_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_rate_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_powerdown_signal;
  sc_signal< bool > o_dbg_l1_txelecidle_signal;
  sc_signal< bool > o_dbg_l1_txdetrx_lpback_signal;
  sc_signal< bool > o_dbg_l1_rxpolarity_signal;
  sc_signal< bool > o_dbg_l1_tx_sgmii_ewrap_signal;
  sc_signal< bool > o_dbg_l1_rx_sgmii_en_cdet_signal;
  sc_signal< sc_bv<20> > o_dbg_l1_sata_corerxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_sata_corerxdatavalid_signal;
  sc_signal< bool > o_dbg_l1_sata_coreready_signal;
  sc_signal< bool > o_dbg_l1_sata_coreclockready_signal;
  sc_signal< bool > o_dbg_l1_sata_corerxsignaldet_signal;
  sc_signal< sc_bv<20> > o_dbg_l1_sata_phyctrltxdata_signal;
  sc_signal< bool > o_dbg_l1_sata_phyctrltxidle_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_sata_phyctrltxrate_signal;
  sc_signal< sc_bv<2> > o_dbg_l1_sata_phyctrlrxrate_signal;
  sc_signal< bool > o_dbg_l1_sata_phyctrltxrst_signal;
  sc_signal< bool > o_dbg_l1_sata_phyctrlrxrst_signal;
  sc_signal< bool > o_dbg_l1_sata_phyctrlreset_signal;
  sc_signal< bool > o_dbg_l1_sata_phyctrlpartial_signal;
  sc_signal< bool > o_dbg_l1_sata_phyctrlslumber_signal;
  sc_signal< bool > o_dbg_l2_phystatus_signal;
  sc_signal< sc_bv<20> > o_dbg_l2_rxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_rxdatak_signal;
  sc_signal< bool > o_dbg_l2_rxvalid_signal;
  sc_signal< sc_bv<3> > o_dbg_l2_rxstatus_signal;
  sc_signal< bool > o_dbg_l2_rxelecidle_signal;
  sc_signal< bool > o_dbg_l2_rstb_signal;
  sc_signal< sc_bv<20> > o_dbg_l2_txdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_txdatak_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_rate_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_powerdown_signal;
  sc_signal< bool > o_dbg_l2_txelecidle_signal;
  sc_signal< bool > o_dbg_l2_txdetrx_lpback_signal;
  sc_signal< bool > o_dbg_l2_rxpolarity_signal;
  sc_signal< bool > o_dbg_l2_tx_sgmii_ewrap_signal;
  sc_signal< bool > o_dbg_l2_rx_sgmii_en_cdet_signal;
  sc_signal< sc_bv<20> > o_dbg_l2_sata_corerxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_sata_corerxdatavalid_signal;
  sc_signal< bool > o_dbg_l2_sata_coreready_signal;
  sc_signal< bool > o_dbg_l2_sata_coreclockready_signal;
  sc_signal< bool > o_dbg_l2_sata_corerxsignaldet_signal;
  sc_signal< sc_bv<20> > o_dbg_l2_sata_phyctrltxdata_signal;
  sc_signal< bool > o_dbg_l2_sata_phyctrltxidle_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_sata_phyctrltxrate_signal;
  sc_signal< sc_bv<2> > o_dbg_l2_sata_phyctrlrxrate_signal;
  sc_signal< bool > o_dbg_l2_sata_phyctrltxrst_signal;
  sc_signal< bool > o_dbg_l2_sata_phyctrlrxrst_signal;
  sc_signal< bool > o_dbg_l2_sata_phyctrlreset_signal;
  sc_signal< bool > o_dbg_l2_sata_phyctrlpartial_signal;
  sc_signal< bool > o_dbg_l2_sata_phyctrlslumber_signal;
  sc_signal< bool > o_dbg_l3_phystatus_signal;
  sc_signal< sc_bv<20> > o_dbg_l3_rxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_rxdatak_signal;
  sc_signal< bool > o_dbg_l3_rxvalid_signal;
  sc_signal< sc_bv<3> > o_dbg_l3_rxstatus_signal;
  sc_signal< bool > o_dbg_l3_rxelecidle_signal;
  sc_signal< bool > o_dbg_l3_rstb_signal;
  sc_signal< sc_bv<20> > o_dbg_l3_txdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_txdatak_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_rate_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_powerdown_signal;
  sc_signal< bool > o_dbg_l3_txelecidle_signal;
  sc_signal< bool > o_dbg_l3_txdetrx_lpback_signal;
  sc_signal< bool > o_dbg_l3_rxpolarity_signal;
  sc_signal< bool > o_dbg_l3_tx_sgmii_ewrap_signal;
  sc_signal< bool > o_dbg_l3_rx_sgmii_en_cdet_signal;
  sc_signal< sc_bv<20> > o_dbg_l3_sata_corerxdata_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_sata_corerxdatavalid_signal;
  sc_signal< bool > o_dbg_l3_sata_coreready_signal;
  sc_signal< bool > o_dbg_l3_sata_coreclockready_signal;
  sc_signal< bool > o_dbg_l3_sata_corerxsignaldet_signal;
  sc_signal< sc_bv<20> > o_dbg_l3_sata_phyctrltxdata_signal;
  sc_signal< bool > o_dbg_l3_sata_phyctrltxidle_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_sata_phyctrltxrate_signal;
  sc_signal< sc_bv<2> > o_dbg_l3_sata_phyctrlrxrate_signal;
  sc_signal< bool > o_dbg_l3_sata_phyctrltxrst_signal;
  sc_signal< bool > o_dbg_l3_sata_phyctrlrxrst_signal;
  sc_signal< bool > o_dbg_l3_sata_phyctrlreset_signal;
  sc_signal< bool > o_dbg_l3_sata_phyctrlpartial_signal;
  sc_signal< bool > o_dbg_l3_sata_phyctrlslumber_signal;
  sc_signal< bool > dbg_path_fifo_bypass_signal;
  sc_signal< bool > i_afe_pll_pd_hs_clock_r_signal;
  sc_signal< bool > i_afe_mode_signal;
  sc_signal< bool > i_bgcal_afe_mode_signal;
  sc_signal< bool > o_afe_cmn_calib_comp_out_signal;
  sc_signal< bool > i_afe_cmn_bg_enable_low_leakage_signal;
  sc_signal< bool > i_afe_cmn_bg_iso_ctrl_bar_signal;
  sc_signal< bool > i_afe_cmn_bg_pd_signal;
  sc_signal< bool > i_afe_cmn_bg_pd_bg_ok_signal;
  sc_signal< bool > i_afe_cmn_bg_pd_ptat_signal;
  sc_signal< bool > i_afe_cmn_calib_en_iconst_signal;
  sc_signal< bool > i_afe_cmn_calib_enable_low_leakage_signal;
  sc_signal< bool > i_afe_cmn_calib_iso_ctrl_bar_signal;
  sc_signal< sc_bv<13> > o_afe_pll_dco_count_signal;
  sc_signal< bool > o_afe_pll_clk_sym_hs_signal;
  sc_signal< bool > o_afe_pll_fbclk_frac_signal;
  sc_signal< bool > o_afe_rx_pipe_lfpsbcn_rxelecidle_signal;
  sc_signal< bool > o_afe_rx_pipe_sigdet_signal;
  sc_signal< sc_bv<20> > o_afe_rx_symbol_signal;
  sc_signal< bool > o_afe_rx_symbol_clk_by_2_signal;
  sc_signal< bool > o_afe_rx_uphy_save_calcode_signal;
  sc_signal< bool > o_afe_rx_uphy_startloop_buf_signal;
  sc_signal< bool > o_afe_rx_uphy_rx_calib_done_signal;
  sc_signal< bool > i_afe_rx_rxpma_rstb_signal;
  sc_signal< sc_bv<8> > i_afe_rx_uphy_restore_calcode_data_signal;
  sc_signal< bool > i_afe_rx_pipe_rxeqtraining_signal;
  sc_signal< bool > i_afe_rx_iso_hsrx_ctrl_bar_signal;
  sc_signal< bool > i_afe_rx_iso_lfps_ctrl_bar_signal;
  sc_signal< bool > i_afe_rx_iso_sigdet_ctrl_bar_signal;
  sc_signal< bool > i_afe_rx_hsrx_clock_stop_req_signal;
  sc_signal< sc_bv<8> > o_afe_rx_uphy_save_calcode_data_signal;
  sc_signal< bool > o_afe_rx_hsrx_clock_stop_ack_signal;
  sc_signal< bool > o_afe_pg_avddcr_signal;
  sc_signal< bool > o_afe_pg_avddio_signal;
  sc_signal< bool > o_afe_pg_dvddcr_signal;
  sc_signal< bool > o_afe_pg_static_avddcr_signal;
  sc_signal< bool > o_afe_pg_static_avddio_signal;
  sc_signal< bool > i_pll_afe_mode_signal;
  sc_signal< sc_bv<11> > i_afe_pll_coarse_code_signal;
  sc_signal< bool > i_afe_pll_en_clock_hs_div2_signal;
  sc_signal< sc_bv<16> > i_afe_pll_fbdiv_signal;
  sc_signal< bool > i_afe_pll_load_fbdiv_signal;
  sc_signal< bool > i_afe_pll_pd_signal;
  sc_signal< bool > i_afe_pll_pd_pfd_signal;
  sc_signal< bool > i_afe_pll_rst_fdbk_div_signal;
  sc_signal< bool > i_afe_pll_startloop_signal;
  sc_signal< sc_bv<6> > i_afe_pll_v2i_code_signal;
  sc_signal< sc_bv<5> > i_afe_pll_v2i_prog_signal;
  sc_signal< bool > i_afe_pll_vco_cnt_window_signal;
  sc_signal< bool > i_afe_rx_mphy_gate_symbol_clk_signal;
  sc_signal< bool > i_afe_rx_mphy_mux_hsb_ls_signal;
  sc_signal< bool > i_afe_rx_pipe_rx_term_enable_signal;
  sc_signal< bool > i_afe_rx_uphy_biasgen_iconst_core_mirror_enable_signal;
  sc_signal< bool > i_afe_rx_uphy_biasgen_iconst_io_mirror_enable_signal;
  sc_signal< bool > i_afe_rx_uphy_biasgen_irconst_core_mirror_enable_signal;
  sc_signal< bool > i_afe_rx_uphy_enable_cdr_signal;
  sc_signal< bool > i_afe_rx_uphy_enable_low_leakage_signal;
  sc_signal< bool > i_afe_rx_rxpma_refclk_dig_signal;
  sc_signal< bool > i_afe_rx_uphy_hsrx_rstb_signal;
  sc_signal< bool > i_afe_rx_uphy_pdn_hs_des_signal;
  sc_signal< bool > i_afe_rx_uphy_pd_samp_c2c_signal;
  sc_signal< bool > i_afe_rx_uphy_pd_samp_c2c_eclk_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_clk_lane_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_eq_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_hsrxdig_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_iqpi_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_lfpsbcn_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_samp_flops_signal;
  sc_signal< bool > i_afe_rx_uphy_pso_sigdet_signal;
  sc_signal< bool > i_afe_rx_uphy_restore_calcode_signal;
  sc_signal< bool > i_afe_rx_uphy_run_calib_signal;
  sc_signal< bool > i_afe_rx_uphy_rx_lane_polarity_swap_signal;
  sc_signal< bool > i_afe_rx_uphy_startloop_pll_signal;
  sc_signal< sc_bv<2> > i_afe_rx_uphy_hsclk_division_factor_signal;
  sc_signal< sc_bv<8> > i_afe_rx_uphy_rx_pma_opmode_signal;
  sc_signal< sc_bv<2> > i_afe_tx_enable_hsclk_division_signal;
  sc_signal< bool > i_afe_tx_enable_ldo_signal;
  sc_signal< bool > i_afe_tx_enable_ref_signal;
  sc_signal< bool > i_afe_tx_enable_supply_hsclk_signal;
  sc_signal< bool > i_afe_tx_enable_supply_pipe_signal;
  sc_signal< bool > i_afe_tx_enable_supply_serializer_signal;
  sc_signal< bool > i_afe_tx_enable_supply_uphy_signal;
  sc_signal< bool > i_afe_tx_hs_ser_rstb_signal;
  sc_signal< sc_bv<20> > i_afe_tx_hs_symbol_signal;
  sc_signal< bool > i_afe_tx_mphy_tx_ls_data_signal;
  sc_signal< sc_bv<2> > i_afe_tx_pipe_tx_enable_idle_mode_signal;
  sc_signal< sc_bv<2> > i_afe_tx_pipe_tx_enable_lfps_signal;
  sc_signal< bool > i_afe_tx_pipe_tx_enable_rxdet_signal;
  sc_signal< sc_bv<8> > i_afe_TX_uphy_txpma_opmode_signal;
  sc_signal< bool > i_afe_TX_pmadig_digital_reset_n_signal;
  sc_signal< bool > i_afe_TX_serializer_rst_rel_signal;
  sc_signal< bool > i_afe_TX_pll_symb_clk_2_signal;
  sc_signal< sc_bv<2> > i_afe_TX_ana_if_rate_signal;
  sc_signal< bool > i_afe_TX_en_dig_sublp_mode_signal;
  sc_signal< sc_bv<3> > i_afe_TX_LPBK_SEL_signal;
  sc_signal< bool > i_afe_TX_iso_ctrl_bar_signal;
  sc_signal< bool > i_afe_TX_ser_iso_ctrl_bar_signal;
  sc_signal< bool > i_afe_TX_lfps_clk_signal;
  sc_signal< bool > i_afe_TX_serializer_rstb_signal;
  sc_signal< bool > o_afe_TX_dig_reset_rel_ack_signal;
  sc_signal< bool > o_afe_TX_pipe_TX_dn_rxdet_signal;
  sc_signal< bool > o_afe_TX_pipe_TX_dp_rxdet_signal;
  sc_signal< bool > i_afe_tx_pipe_tx_fast_est_common_mode_signal;
  sc_signal< bool > o_dbg_l0_txclk_signal;
  sc_signal< bool > o_dbg_l0_rxclk_signal;
  sc_signal< bool > o_dbg_l1_txclk_signal;
  sc_signal< bool > o_dbg_l1_rxclk_signal;
  sc_signal< bool > o_dbg_l2_txclk_signal;
  sc_signal< bool > o_dbg_l2_rxclk_signal;
  sc_signal< bool > o_dbg_l3_txclk_signal;
  sc_signal< bool > o_dbg_l3_rxclk_signal;
  sc_signal< bool > emio_i2c0_scl_t_n_signal;
  sc_signal< bool > emio_i2c0_sda_t_n_signal;
  sc_signal< bool > emio_enet0_mdio_t_n_signal;
  sc_signal< bool > emio_enet1_mdio_t_n_signal;
  sc_signal< bool > emio_enet2_mdio_t_n_signal;
  sc_signal< bool > emio_enet3_mdio_t_n_signal;
  sc_signal< sc_bv<1> > emio_gpio_t_n_signal;
  sc_signal< bool > emio_i2c1_scl_t_n_signal;
  sc_signal< bool > emio_i2c1_sda_t_n_signal;
  sc_signal< bool > emio_spi0_sclk_t_n_signal;
  sc_signal< bool > emio_spi0_mo_t_n_signal;
  sc_signal< bool > emio_spi0_so_t_n_signal;
  sc_signal< bool > emio_spi0_ss_n_t_n_signal;
  sc_signal< bool > emio_spi1_sclk_t_n_signal;
  sc_signal< bool > emio_spi1_mo_t_n_signal;
  sc_signal< bool > emio_spi1_so_t_n_signal;
  sc_signal< bool > emio_spi1_ss_n_t_n_signal;
  sc_signal< bool > M_AXI_HPM0_FPD_transactor_rst_signal;
  sc_signal< bool > M_AXI_HPM1_FPD_transactor_rst_signal;

private:

  top_zynq_ultra_ps_e_0_0(const top_zynq_ultra_ps_e_0_0&);
  const top_zynq_ultra_ps_e_0_0& operator=(const top_zynq_ultra_ps_e_0_0&);

  zynq_ultra_ps_e_tlm* mp_impl;
  xtlm::xaximm_xtlm2pin_t<128,40,16,16,1,1,16,1>* mp_M_AXI_HPM0_FPD_transactor;
  xtlm::xaximm_xtlm2pin_t<128,40,16,16,1,1,16,1>* mp_M_AXI_HPM1_FPD_transactor;

};

#endif // IP_TOP_ZYNQ_ULTRA_PS_E_0_0_H_
